2009-04-13  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post bump

==== 2.26.1 ====

2009-04-13  William Jon McCann  <jmccann@redhat.com>

	* NEWS: Update for release.

2009-04-13  William Jon McCann  <jmccann@redhat.com>

	* src/gnome-screensaver-preferences.c (get_best_visual):
	* src/gs-job.c (command_watch):
	* src/gs-manager.c (get_gconf_client):
	* src/gs-window-x11.c (error_watch), (keyboard_command_watch),
	(lock_command_watch):
	Fix misc problems with the use of GError,
	mostly leaking the error on the error path.

	Patch from: Paolo Borelli <pborelli@katamail.com>
	Fixes #572955

2009-04-13  William Jon McCann  <jmccann@redhat.com>

	* src/gs-auth-helper.c (ext_run):
	Use g_strerror.
	Patch from: Paolo Borelli <pborelli@katamail.com>
	Fixes #572956

2009-04-13  William Jon McCann  <jmccann@redhat.com>

	* src/gs-manager.c (gs_manager_set_keyboard_command):
	Fix copy/paste bug that overwrites logout-command.
	Patch from Robert Basch <rbasch@mit.edu>
	Fixes #573495

2009-04-13  William Jon McCann  <jmccann@redhat.com>

	* src/gnome-screensaver-gl-helper.c (main):
	Don't try to lookup xvisual for null visuals.
	Patch from Tomislav Vujec <tvujec@gmail.com>
	Fixes #577739

2009-04-13  William Jon McCann  <jmccann@redhat.com>

	* src/gs-listener-dbus.c (listener_remove_ref_entry):
	Don't try to remove an invalid inhibitor entry.
	Fixes #578669

2009-04-07  Matthias Clasen <mclasen@redhat.com>

	* src/gnome-screensaver-preferences.c:
	* src/gs-prefs.c: Use and set the new gnome-session idle-delay
	keys.

2009-03-18  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post release version bump

==== 2.26.0 ====

2009-03-18  William Jon McCann  <jmccann@redhat.com>

	* NEWS:
	* autogen.sh:
	* configure.ac:
	Update for release

2009-02-26  Adam Jackson  <ajax@redhat.com>

	* src/gs-grab-x11.c:
	Don't carp about missing XFree86-Misc extension.

2009-02-23  Andre Klapper  <a9016009@gmx.de>

	* src/gs-lock-plug.c:
	Replace deprecated gdk_pixmap_unref() by g_object_unref().

2009-02-21  Matthias Clasen  <mclasen@redhat.com>

	* src/gs-theme-manager.c (find_command): Accept a full path
	as long as it is one of the trusted directories. (#561855)

2009-02-12  William Jon McCann  <jmccann@redhat.com>

	* src/gs-window-x11.c (update_geometry):
	Add geometry debugging.

2009-02-10  William Jon McCann  <jmccann@redhat.com>

	* src/debug-screensaver.sh: Remove absolute path

2009-01-20  William Jon McCann  <jmccann@redhat.com>

	* src/gs-window-x11.c (popup_dialog_idle):
	Remove extra quoting.

2009-01-20  William Jon McCann  <jmccann@redhat.com>

	* data/gnome-screensaver.schemas.in:
	* data/lock-dialog-default.glade:
	* src/gnome-screensaver-dialog.c (popup_dialog_idle):
	* src/gs-listener-dbus.h:
	* src/gs-lock-plug.c (gs_lock_plug_set_status_message),
	(gs_lock_plug_get_property), (gs_lock_plug_set_property),
	(gs_lock_plug_class_init), (load_theme), (gs_lock_plug_init):
	* src/gs-manager.c (gs_manager_set_status_message),
	(gs_manager_set_property), (gs_manager_get_property),
	(gs_manager_create_window_for_monitor), (gs_manager_finalize):
	* src/gs-manager.h:
	* src/gs-monitor.c (_gs_monitor_update_from_prefs),
	(on_watcher_status_message_changed), (disconnect_watcher_signals),
	(connect_watcher_signals):
	* src/gs-prefs.c (_gs_prefs_set_status_message_enabled),
	(gs_prefs_load_from_gconf), (key_changed_cb), (gs_prefs_finalize):
	* src/gs-prefs.h:
	* src/gs-watcher-x11.c (gs_watcher_get_property),
	(set_status_text), (gs_watcher_set_property),
	(gs_watcher_class_init), (set_status),
	(on_presence_status_changed), (on_presence_status_text_changed),
	(connect_presence_watcher), (gs_watcher_finalize):
	* src/gs-window-x11.c (popup_dialog_idle),
	(gs_window_set_status_message), (gs_window_set_property),
	(gs_window_get_property), (gs_window_class_init):
	* src/gs-window.h:
	Read status message from session.

2009-01-19  William Jon McCann  <jmccann@redhat.com>

	* data/lock-dialog-default.glade:
	* src/gs-lock-plug.c (gs_lock_plug_init):
	Don't explicitly set invisible char
	Patch from: Matthias Clasen <mclasen@redhat.com>
	Fixes #567111

2009-01-19  William Jon McCann  <jmccann@redhat.com>

	* data/gnome-screensaver-preferences.1:
	* data/gnome-screensaver.1:
	Fix incorrect manpages WHATIS section
	Patch from: Emilio Pozuelo Monfort <pochu@ubuntu.com>
	Fixes #563883

2009-01-19  William Jon McCann  <jmccann@redhat.com>

	* data/gnome-screensaver:
	Add gnome keyring to pam config.
	Patch from: Matthias Clasen <mclasen@redhat.com>
	Fixes #567112

2009-01-18  William Jon McCann  <jmccann@redhat.com>

	* src/gs-listener-dbus.c (add_session_inhibit),
	(remove_session_inhibit), (listener_add_ref_entry),
	(listener_remove_ref_entry):
	Proxy g-s inhibitors over to the session.

2009-01-18  William Jon McCann  <jmccann@redhat.com>

	* src/gs-listener-dbus.c (listener_set_session_idle_internal),
	(listener_get_property), (do_introspect),
	(listener_dbus_handle_session_message):
	* src/gs-monitor.c (disconnect_manager_signals),
	(connect_manager_signals):
	Remove obsolete signals and properties.

2009-01-18  William Jon McCann  <jmccann@redhat.com>

	* src/gs-watcher-x11.c (connect_presence_watcher):
	Fix search replace error.

2009-01-18  William Jon McCann  <jmccann@redhat.com>

	* src/gs-watcher-x11.c:
	Oops fix build.

2009-01-18  William Jon McCann  <jmccann@redhat.com>

	* configure.ac:
	* src/Makefile.am:
	* src/gs-idle-monitor.c:
	* src/gs-idle-monitor.h:
	* src/gs-listener-dbus.c:
	* src/gs-monitor.c (gs_monitor_simulate_user_activity),
	(_gs_monitor_update_from_prefs), (gs_monitor_init):
	* src/gs-watcher-x11.c (gs_watcher_class_init),
	(_gs_watcher_set_active_internal), (on_idle_timeout),
	(on_presence_status_changed), (connect_presence_watcher),
	(gs_watcher_init), (gs_watcher_finalize), (gs_watcher_new):
	* src/gs-watcher.h:
	* src/test-idle-ext.c:
	* src/test-idle-monitor.c:
	* src/test-watcher.c (test_watcher):
	Rely on session idle detection.
	Fixes #567919

2009-01-16  William Jon McCann  <jmccann@redhat.com>

	* src/gs-listener-dbus.c (listener_set_session_idle_internal):
	Don't set idle hint in CK.  This is now done by gnome-session.

2009-01-16  William Jon McCann  <jmccann@redhat.com>

	* src/gs-listener-dbus.c (do_introspect):
	* src/gs-listener-dbus.h:
	* src/gs-monitor.c (_gs_monitor_update_from_prefs),
	(disconnect_watcher_signals), (connect_watcher_signals):
	* src/gs-watcher-x11.c (gs_watcher_set_property),
	(gs_watcher_get_property), (gs_watcher_class_init),
	(start_idle_watcher), (stop_idle_watcher),
	(_gs_watcher_reset_state):
	* src/gs-watcher.h:
	Remove power notice signal.

2008-12-16  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post release bump

==== 2.25.2 ====

2008-12-16  William Jon McCann  <jmccann@redhat.com>

	* NEWS: Update for release

2008-12-14  Matthias Clasen <mclasen@redhat.com>

	Bug 564548 – leaks a pixmap for each lock cycle

	* src/gs-window-x11.c (gs_window_finalize): Unref background_pixmap.

2008-12-12  Bastien Nocera  <hadess@hadess.net>

	* COPYING.LIB: Add for some of the files under the LGPL
	(Closes: #564256)
	* Makefile.am: add COPYING.LIB to the dist

2008-12-03  William Jon McCann  <jmccann@redhat.com>

	* data/lock-dialog-default.glade:
	* src/gs-lock-plug.c (gs_lock_plug_style_set):
	Fix border width.

2008-12-02  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post bump

==== 2.25.1 ====

2008-12-02  William Jon McCann  <jmccann@redhat.com>

	* NEWS: Update for release

2008-12-02  William Jon McCann  <jmccann@redhat.com>

	* COPYING:  Add GPLv2+ version of COPYING file
	so that autotools won't stick a v3 one in the tarball.

	* savers/personal-slideshow.desktop.in:
	* savers/personal-slideshow.desktop.in.in:
	* savers/popsquares.desktop.in:
	* savers/popsquares.desktop.in.in:
	Add/remove files from last commit.

2008-12-02  William Jon McCann  <jmccann@redhat.com>

	* savers/Makefile.am:
	* savers/cosmos-slideshow.desktop.in.in:
	* savers/footlogo-floaters.desktop.in.in:
	Use absolute path for screensaver theme engines.
	Patch from: Frederic Crozat  <fcrozat@mandriva.com>
	Fixes #561855

2008-12-02  William Jon McCann  <jmccann@redhat.com>

	* src/gnome-screensaver-preferences.c (preview_set_theme):
	Randomly select the theme to preview for the random setting.
	Patch from: Maxim Ermilov <zaspire@rambler.ru>
	Fixes #530561

2008-12-02  William Jon McCann  <jmccann@redhat.com>

	* savers/gste-slideshow.c (add_files_to_list):
	Skip hidden files and directories.
	Patch from: Jörg <jo@bitvalve.org>
	Fixes #492949

2008-11-19  William Jon McCann  <jmccann@redhat.com>

	* src/gs-idle-monitor.c (send_fake_event),
	(handle_alarm_notify_event), (_xsync_alarm_set):
	Use gs-debug.

	* src/test-idle-ext.c (main):
	Drop some stuff we don't need.

2008-11-19  William Jon McCann  <jmccann@redhat.com>

	* src/test-idle-ext.c (_xsyncvalue_to_int64),
	(_int64_to_xsyncvalue), (xevent_filter), (init_xsync),
	(test_idle_ext), (main):
	Add minimal test case for xsync extension.

2008-11-18  William Jon McCann  <jmccann@redhat.com>

	* data/lock-dialog-default.glade:
	Add a frame bevel around the dialog.

2008-11-13  William Jon McCann  <jmccann@redhat.com>

	* configure.ac:
	* src/Makefile.am:
	* src/gs-idle-monitor.c (_xsyncvalue_to_int64),
	(_int64_to_xsyncvalue), (gs_idle_monitor_dispose), (_find_alarm),
	(find_watch_for_alarm), (send_fake_event), (gs_idle_monitor_reset),
	(handle_alarm_notify_event), (xevent_filter), (init_xsync),
	(_init_xtest), (gs_idle_monitor_constructor),
	(gs_idle_monitor_class_init), (get_next_watch_serial),
	(idle_monitor_watch_new), (idle_monitor_watch_free),
	(gs_idle_monitor_init), (gs_idle_monitor_finalize),
	(gs_idle_monitor_new), (_xsync_alarm_set),
	(gs_idle_monitor_add_watch), (gs_idle_monitor_remove_watch):
	* src/gs-idle-monitor.h:
	* src/gs-monitor.c (connect_watcher_signals):
	* src/gs-watcher-x11.c (remove_watchdog_timer),
	(add_watchdog_timer), (gs_watcher_reset), (gs_watcher_class_init),
	(on_power_timeout), (on_notice_timeout), (on_idle_timeout),
	(start_idle_watcher), (stop_idle_watcher), (gs_watcher_init),
	(gs_watcher_finalize), (disable_builtin_screensaver),
	(gs_watcher_new):
	* src/test-idle-monitor.c (on_less_idle), (on_idle),
	(on_very_idle), (test_idle_monitor), (main):
	* src/test-watcher.c (watcher_idle_notice_cb),
	(connect_watcher_signals), (test_watcher):
	Create a new class that can use IDLETIME counter to
	get idle times.  Rip out all the old code that
	selects for events on windows.
	Fixes #444927

2008-11-13  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post branch bump

2008-11-13  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post release bump

==== 2.24.1 ====

2008-11-13  William Jon McCann  <jmccann@redhat.com>

	* NEWS: Update for release

2008-11-13  William Jon McCann  <jmccann@redhat.com>

	* src/gs-prefs.c (gs_prefs_load_from_gconf):
	Make sure error is initialized to NULL.
	Fixes #552523

2008-11-13  William Jon McCann  <jmccann@redhat.com>

	* savers/floaters.c:
	* savers/gste-slideshow.c:
	* src/copy-theme-dialog.h:
	* src/gs-window.h:
	Clean up gtk includes.
	Patch from: Maxim Ermilov <zaspire@rambler.ru>
	Fixes #560456

2008-11-13  William Jon McCann  <jmccann@redhat.com>

	* src/gs-lock-plug.c (create_page_one):
	Don't crash when we can't load the glade theme file.
	Fixes #555254

2008-11-13  William Jon McCann  <jmccann@redhat.com>

	* data/gnome-screensaver-preferences.desktop.in (Categories):
	Add GTK and GNOME categories to screensaver desktop
	Patch from: Patryk Zawadzki <patrys@pld-linux.org>
	Fixes #552119.

2008-11-13  William Jon McCann  <jmccann@redhat.com>

	* src/gnome-screensaver-preferences.c (config_get_theme):
	Default to blank only if we can't get the theme list.

2008-11-12  William Jon McCann  <jmccann@redhat.com>

	* src/gnome-screensaver-preferences.c (fullscreen_preview_start_cb):
	Clear preview window before showing
	Patch from: Neil Jagdish Patel <njpatel@gmail.com>
	Fixes #451498

2008-11-12  William Jon McCann  <jmccann@redhat.com>

	* src/gs-grab-x11.c (gs_grab_grab_window):
	Release mouse/keyboard when failed to grab both of them.
	Based on patch from: Joey Yu Zheng <joey.yuzheng@gmail.com>
	Fixes #555491

2008-10-15  William Jon McCann  <jmccann@redhat.com>

	* src/gs-manager.c (apply_background_to_window):
	Don't ask gnome-bg to create a root pixmap.
	Patch from <scott@netsplit.com>
	Fixes #555701

2008-09-23  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post release bump

==== 2.24.0 ====

2008-09-23  William Jon McCann  <jmccann@redhat.com>

	* NEWS: Update for release

2008-08-28  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post release bump

==== 2.23.90 ====

2008-08-28  William Jon McCann  <jmccann@redhat.com>

	* NEWS: Update for release
	* src/copy-theme-dialog.c: Build fix

2008-08-20  William Jon McCann  <jmccann@redhat.com>

	* src/gs-monitor.c (_gs_monitor_update_from_prefs):
	* src/gs-prefs.c (_gs_prefs_set_user_switch_disabled),
	(gs_prefs_load_from_gconf), (key_changed_cb):
	* src/gs-prefs.h:
	Honor the disable_user_switching lockdown key.

2008-08-20  William Jon McCann  <jmccann@redhat.com>

	* src/gnome-screensaver-preferences.c (config_get_lock_disabled),
	(ui_disable_lock), (ui_set_lock), (ui_set_enabled),
	(key_changed_cb), (init_capplet):
	* src/gs-monitor.c (listener_lock_cb),
	(_gs_monitor_update_from_prefs):
	* src/gs-prefs.c (_gs_prefs_set_lock_disabled),
	(gs_prefs_load_from_gconf), (key_changed_cb), (gs_prefs_init):
	* src/gs-prefs.h:
	Patch from: <nickspoon0@gmail.com>
	Fixes #317609

2008-08-20  William Jon McCann  <jmccann@redhat.com>

	* savers/gs-theme-window.c (gs_theme_window_real_realize):
	* savers/gste-slideshow.c (scale_pixbuf):
	* src/debug-screensaver.sh:
	* src/gs-manager.c (gs_manager_create_window_for_monitor),
	(on_screen_monitors_changed):
	Make the saver exit if the window it is drawing on is too
	small.  This can occur if the monitor is cloned.

2008-08-20  William Jon McCann  <jmccann@redhat.com>

	* src/gs-manager.c (gs_manager_create_window_for_monitor),
	(on_screen_monitors_changed), (gs_manager_destroy_windows),
	(gs_manager_finalize), (gs_manager_create_windows_for_screen):
	Create or remove windows as number of monitors changes
	due to randr 1.2 goodness.

2008-08-15  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Remove some obsolete gdm stuff.

	* src/debug-screensaver.sh: Use just debug

	* src/gnome-screensaver-dialog.c (auth_check_idle):
	Add some debug spew.

2008-08-08  William Jon McCann  <jmccann@redhat.com>

	* src/gs-lock-plug.c (is_capslock_on):
	Check for the caps lock key and not the
	indicator.
	Fixes #547013.

2008-08-08  William Jon McCann  <jmccann@redhat.com>

	* src/gs-lock-plug.c (surface_from_pixbuf), (curved_rectangle),
	(image_set_from_pixbuf), (check_user_file), (set_face_image),
	(gs_lock_plug_show), (gs_lock_plug_init):
	Paint widget background color as face background color.

2007-07-28  Matthias Clasen <mclasen@redhat.com>

	Bug 545072 – use standard icon names

	* src/gnome-screensaver-preferences.c:
	* src/copy-theme-dialog.c: Use standard icon names.

2008-07-23  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post release version bump

==== 2.23.3 ====

2008-07-23  William Jon McCann  <jmccann@redhat.com>

	* NEWS: Update for release

2008-07-03  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* src/copy-theme-dialog.c:
	Use proper <glib/gstdio.h> include.

2008-07-03  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* src/copy-theme-dialog.c:
	Include <sys/stat.h> to fix the build.

2008-06-07  William Jon McCann  <jmccann@redhat.com>

	* src/gs-listener-dbus.c (gs_listener_acquire):
	Don't require system bus connection.

2008-05-29  William Jon McCann  <jmccann@redhat.com>

	* configure.ac:
	* src/gs-manager.c (on_screen_monitors_changed),
	(gs_manager_destroy_windows), (gs_manager_finalize),
	(gs_manager_create_windows), (gs_manager_activate),
	(gs_manager_deactivate):
	Hook up to screen's monitors-changed signal and spew
	some debug.  Not doing anything useful yet.

2008-05-29  William Jon McCann  <jmccann@redhat.com>

	* src/gs-manager.c (gs_manager_create_windows_for_screen),
	(gs_manager_create):
	* src/gs-window-x11.c (update_geometry), (screen_size_changed),
	(gs_window_move_resize_window):
	Add some debug spew for window geometry changes.

2008-05-16  William Jon McCann  <jmccann@redhat.com>

	* src/gs-lock-plug.c (surface_from_pixbuf), (curved_rectangle),
	(image_set_from_pixbuf), (set_face_image):
	Add a simple frame around user icon.

2008-05-14  William Jon McCann  <jmccann@redhat.com>

	* configure.ac:
	Dist .bz2 files by default.

2008-05-12  William Jon McCann  <jmccann@redhat.com>

	* src/gs-manager.c (manager_show_window):
	* src/gs-window-x11.c (force_no_pixmap_background),
	(widget_clear_all_children),
	(gs_window_clear_to_background_pixmap), (clear_widget),
	(gs_window_clear), (gs_window_get_drawing_area),
	(lock_command_watch), (popup_dialog_idle), (gs_window_init):
	* src/gs-window.h:
	Add a new child widget to use for savers to draw on.  We
	hide this widget entirely when popping up the unlock dialog.
	This avoids interference between the background styles.

2008-05-12  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post release version bump

==== 2.23.2 ====

2008-05-12  William Jon McCann  <jmccann@redhat.com>

	* configure.ac:
	* NEWS: Update for release.

2008-05-12  William Jon McCann  <jmccann@redhat.com>

	* src/gnome-screensaver-command.c (get_string_from_iter),
	(do_command):
	List inhibit status in --query output.
	Based on patch from:  Saleem Abdulrasool <compnerd@compnerd.org>
	Fixes #516446

2008-05-12  William Jon McCann  <jmccann@redhat.com>

	* src/gs-fade.c (gamma_info_init), (gs_fade_set_alpha_gamma),
	(gs_fade_start), (gs_fade_reset), (gs_fade_init):
	Restore the value to the one that was used before
	blanking the screen.
	Patch from: John Bryant <bryantk@sover.net>
	Fixes #342850

2008-05-12  William Jon McCann  <jmccann@redhat.com>

	* src/gs-manager.c (get_gconf_client), (gs_manager_init),
	(gs_manager_finalize), (apply_background_to_window):
	Load background from defaults instead of user database.

2008-05-12  William Jon McCann  <jmccann@redhat.com>

	* configure.ac:
	* src/Makefile.am:
	* src/gs-manager.c (on_bg_changed), (gconf_changed_callback),
	(watch_bg_preferences), (get_gconf_client), (gs_manager_init),
	(gs_manager_finalize), (apply_background_to_window),
	(manager_show_window):
	Use new gnome-desktop API for loading BG preferences
	instead of libbackground.

2008-04-30  William Jon McCann  <jmccann@redhat.com>

	* configure.ac:
	* src/Makefile.am:
	* src/debug-screensaver.sh:
	* src/gs-manager.c (gs_manager_init),
	(apply_background_prefs_to_window), (manager_show_window):
	* src/gs-window-x11.c (gs_window_set_background_pixmap),
	(gs_window_clear_to_background_pixmap), (gs_window_clear),
	(spawn_on_window), (popup_dialog_idle), (gs_window_init):
	* src/gs-window.h:
	Add support for showing the desktop background behind the
	unlock dialog.  Add dep on gnome-desktop and
	pull in libbackground as an svn:external.
	Still to-do:
	1. add bg_preferences_load_defaults to pull from
	system defaults instead of user settings
	2. process bg changes
	3. fix clearing child windows to the pixmap

2008-04-29  William Jon McCann <jmccann@redhat.com>

	* configure.ac: Post branch version bump

2008-04-07  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post release version bump

==== 2.22.2 ====

2008-04-07  William Jon McCann  <jmccann@redhat.com>

	* NEWS: Update for release

2008-04-07  William Jon McCann  <jmccann@redhat.com>

	* src/gs-lock-plug.c: (on_note_text_buffer_changed),
	(gs_lock_plug_init):
	Add a 160 char limit to the notes.
	Fixes #519447

2008-04-02  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post release version bump.

==== 2.22.1 ====

2008-04-02  William Jon McCann  <jmccann@redhat.com>

	* NEWS: Update for release.

2008-04-02  William Jon McCann  <jmccann@redhat.com>

	* src/gnome-screensaver-dialog.c: (do_auth_check),
	(auth_check_idle):
	* src/setuid.c: (set_ids_by_number), (hack_uid):
	Don't unlock if NIS goes away.
	Fixes #525785.

2008-03-10  William Jon McCann  <jmccann@redhat.com>

	* configure.ac: Post release version bump

==== 2.22.0 ====

2008-03-10  William Jon McCann  <jmccann@redhat.com>

	* NEWS: update for release.

2008-03-03  William Jon McCann  <jmccann@redhat.com>

	* src/gnome-screensaver-preferences.c:
	Kill tabs.

2008-01-30  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: bump version

==== 2.21.6 ====

2008-01-30  William Jon McCann  <mccann@jhu.edu>

	* NEWS:
	* configure.ac: Update for release

2008-01-30  William Jon McCann  <mccann@jhu.edu>

	* src/copy-theme-dialog.c: (copy_finished),
	(copy_theme_dialog_copy_next), (timeout_display_dialog),
	(copy_theme_dialog_begin):
	* src/gnome-screensaver-preferences.c: (theme_copy_complete_cb),
	(theme_installer_run):
	Only show transfer dialog if the transfer takes more than .5 sec.
	Patch from: John Millikin <jmillikin@gmail.com>
	Fixes #512492

2008-01-28  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* src/Makefile.am:
	* src/copy-theme-dialog.c: (copy_theme_dialog_get_type),
	(copy_theme_dialog_class_init), (copy_theme_dialog_new),
	(copy_theme_dialog_init), (add_file_to_dialog),
	(single_copy_complete), (copy_theme_dialog_copy_next),
	(copy_theme_dialog_begin), (copy_theme_dialog_cancel),
	(copy_theme_dialog_finalize), (copy_theme_dialog_update_num_files),
	(copy_theme_dialog_response), (eel_gtk_label_make_bold),
	(create_titled_label):
	* src/copy-theme-dialog.h:
	* src/file-transfer-dialog.c:
	* src/file-transfer-dialog.h:
	* src/gnome-screensaver-preferences.c: (theme_copy_complete_cb),
	(theme_installer_run), (uri_list_parse), (drag_data_received_cb):
	Allow dragging multiple .desktop files to preferences dialog.
	Rewrite transfer dialog and port to GIO.
	Patch from: John Millikin <jmillikin@gmail.com>
	Fixes #512492

2008-01-28  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (cancel_note):
	Set default action after cancelling note.

2008-01-28  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am:
	Use dialog libs for test-passwd.

2007-12-12  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post branch version bump.

2007-12-12  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (clear_clipboards), (gs_lock_plug_init):
	Clear clipboards before showing the unlock dialog.
	Fixes #482159

2007-12-11  William Jon McCann  <mccann@jhu.edu>

	* data/Makefile.am:
	* data/gnome-screensaver-command.1:
	* data/gnome-screensaver-preferences.1:
	* data/gnome-screensaver.1:
	Add manpages.
	Patch from: Sven Arvidsson <sa@whiz.se>
	Fixes #503154

2007-11-15  Frederic Crozat  <fcrozat@mandriva.com>

	* src/gs-debug.h: Disable profiling by default.
	Fixes #496806

2007-11-15  Frederic Crozat  <fcrozat@mandriva.com>

	* savers/gste-slideshow.c:
	Fix sort-image slideshow feature to really work.
	Fixes #496805

2007-11-09  William Jon McCann  <mccann@jhu.edu>

	* data/xscreensaver-config.xsl:
	* savers/cosmos-slideshow.desktop.in.in:
	* savers/footlogo-floaters.desktop.in.in:
	* savers/personal-slideshow.desktop.in:
	* savers/popsquares.desktop.in:
	Patch to bring desktop files into FDO compliance.
	Patch from JP Rosevear <jpr@novell.com>
	Fixes #488041

2007-11-09  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade: Wrap message text.
	Patch from Diego Escalante Urrelo <diegoe@gnome.org>
	Fixes #479679

2007-11-09  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade:
	Remove invisible char.  Fix button spacing.
	Fixes #480944.
	Patch from: Christian Persch <chpe@gnome.org>

2007-11-09  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: bump ac req to 2.60.
	Fixes #486429

2007-11-09  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (submit_note):
	Escape markup before sending to libnotify.
	Patch from: Basilio Kublik <sourcerito@gmail.com>
	Fixes #494598

2007-10-25  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver.c (main):
	Debug flag change snuck in - revert it.

2007-10-25  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver.c: (main):
	Kill tabs.

2007-10-25  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c:
	Convert a few warnings to debugs.

2007-09-28  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (gs_manager_class_init): Fix
	typo in property name.

2007-09-17  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.20.0 ====

2007-09-17  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* NEWS: Update for release

2007-09-11  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Add AM_PROG_CC_C_O

2007-08-30  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (gs_lock_plug_init):
	Hide switch button if not enabled.  Fixes #442853

2007-08-30  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: untabify

2007-08-29  Rodrigo Moya <rodrigo@gnome-db.org>

	* src/gs-grab-x11.c (gs_grab_get_keyboard): removed extra 'if'
	statement.

2007-08-27  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.19.7 ====

2007-08-27  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for release

2007-08-27  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* src/gnome-screensaver-preferences.c: (main):
	Remove last bits of libgnomeui.
	Based on patch from Jani Monoses <jani@ubuntu.com>
	Fixes #463754.

2007-08-27  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c: (notice_events_inner):
	* src/gs-window-x11.c: (select_popup_events):
	Initialize XWindowAttributes before calling XGetWindowAttributes.
	Based on patch from Rodrigo Moya <rodrigo@novell.com>

2007-08-27  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (lock_command_watch): Compare strstr with NULL.
	Add some more debug in dialog response handling.

2007-08-27  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_init): keyboard indicator
	is not a GtkMisc.  Noticed in bug #258221

2007-08-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c: (listener_dbus_handle_system_message):
	On CK Lock emit lock signal instead of setting active directly.

2007-08-09  William Jon McCann  <mccann@jhu.edu>

	* MAINTAINERS: Add userid.

	* configure.ac (SAVER_LIBS): Add Xext explicitly to ALL_X_LIBS.
	May fix #437225

2007-08-02  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: Prevent critical errors with null
	pixbuf.
	Patch from Frederic Crozat <fcrozat@mandriva.com>

2007-08-02  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: (scale_pixbuf), (get_pixbuf),
	(gste_slideshow_set_no_stretch_hint),
	(gste_slideshow_set_property), (gste_slideshow_get_property),
	(gste_slideshow_class_init):
	* savers/gste-slideshow.h:
	* savers/slideshow.c: (main):
	Add --no-stretch option to slideshow engine.
	Patch from Frederic Crozat <fcrozat@mandriva.com>

2007-08-02  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: (get_pixbuf_from_local_dir):
	* savers/slideshow.c: (main):
	Misc fixes.
	Patch from Frederic Crozat <fcrozat@mandriva.com>

2007-07-30  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.19.6 ====

2007-07-30  William Jon McCann  <mccann@jhu.edu>

	* NEWS:
	* configure.ac:
	Update for release.

2007-07-30  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade:
	Remove string marked for translation.

2007-07-30  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c: (listener_add_ck_ref_entry),
	(listener_remove_ck_ref_entry),
	(_listener_message_path_is_our_session),
	(listener_dbus_handle_system_message),
	(listener_dbus_filter_function), (gs_listener_acquire):
	Respond to ConsoleKit ActiveChanged signals.
	Based on a patch from Ian Jackson <iwj@ubuntu.com>
	Fixes #461028

2007-07-30  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: (start_fade), (update_display):
	Fix up some style issues.

2007-07-30  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: (start_fade), (update_display),
	(gste_slideshow_set_background_color),
	(gste_slideshow_set_property), (gste_slideshow_get_property),
	(gste_slideshow_class_init), (gste_slideshow_finalize):
	* savers/gste-slideshow.h:
	* savers/slideshow.c: (main):
	Add an option to set the background color for the slideshow.
	Patch from Frederic Crozat <fcrozat@mandriva.com>
	Fixes #461814

2007-07-30  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: (gste_strcmp_compare_func),
	(get_pixbuf_from_local_dir), (gste_slideshow_set_sort_images),
	(gste_slideshow_set_property), (gste_slideshow_get_property),
	(gste_slideshow_class_init):
	* savers/gste-slideshow.h:
	* savers/slideshow.c: (main):
	Add an option to disable randomization of images.
	Patch from Frederic Crozat <fcrozat@mandriva.com>
	Fixes #461722

2007-07-30  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* savers/gste-slideshow.c: (get_pixbuf_from_local_dir):
	Remove exif dependency.
	Patch from Frederic Crozat <fcrozat@mandriva.com>
	Fixes #461824

2007-07-30  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (create_page_one): Add translator comment.

2007-07-30  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c: (spawn_on_window), (popup_dialog_idle):
	Don't try to filter environment for dialog any more.
	Fixes #327602

2007-07-30  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (get_best_visual):
	Use g_debug for debug message instead of g_message.
	Patch from Bill Nottingham  <notting@redhat.com>
	Fixes #456705

==== 2.19.5 ====

2007-07-09  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for release

2007-07-05  William Jon McCann  <mccann@jhu.edu>

	* savers/floaters.c: (main):
	* savers/popsquares.c: (main):
	* savers/slideshow.c: (main):
	Fix translation of command line help.
	Patch from Luca Ferretti <elle.uca@libero.it>
	Fixes #331515

2007-07-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c: (gs_listener_update_console_kit_idle),
	(query_session_id):
	Check the system connection isn't null.
	Fixes #434712

2007-07-05  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c: (help_display),
	(response_cb):
	Replace gnome_help_display().
	Patch from Jani Monoses <jani@ubuntu.com>
	Fixes #436818

2007-07-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c: (get_outside_region), (update_geometry):
	Fix cloned displays.
	Patch from Ray Strode <rstrode@redhat.com>
	Fixes #354663

2007-07-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (gs_manager_deactivate):
	Always reset the fade when deactivating.
	Fixes #445443.

2007-04-24  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	* src/gs-fade.c: (gamma_info_init):
	Make sure function has a return statement.

	* savers/slideshow.c: (main):
	#include <string.h> was missing.

2007-04-25  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.19.1.1 ====

2007-04-25  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* src/Makefile.am:
	* src/gs-lock-plug.c: (submit_note), (load_theme),
	(gs_lock_plug_init):
	Make note feature and libnotify optional.  Apparently
	libnotify isn't an approved dependency.

2007-04-23  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.19.1 ====

2007-04-23  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.19.1 release

2007-04-23  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.schemas.in:
	Add away_message key.

2007-04-23  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade:
	* src/gnome-screensaver-dialog.c: (popup_dialog_idle):
	* src/gs-lock-plug.c: (gs_lock_plug_set_away_message),
	(gs_lock_plug_get_property), (gs_lock_plug_set_property),
	(gs_lock_plug_class_init), (load_theme), (gs_lock_plug_init):
	* src/gs-manager.c: (gs_manager_set_away_message),
	(gs_manager_set_property), (gs_manager_get_property),
	(gs_manager_finalize), (gs_manager_create_window):
	* src/gs-manager.h:
	* src/gs-monitor.c: (_gs_monitor_update_from_prefs):
	* src/gs-prefs.c: (_gs_prefs_set_away_message),
	(gs_prefs_load_from_gconf), (key_changed_cb), (gs_prefs_finalize):
	* src/gs-prefs.h:
	* src/gs-window-x11.c: (popup_dialog_idle),
	(gs_window_set_away_message), (gs_window_set_property),
	(gs_window_get_property), (gs_window_class_init):
	* src/gs-window.h:
	Add mechanism to display an away message.
	Patch from Matthias Clasen <mclasen@redhat.com>
	Fixes #384534

2007-04-23  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* data/lock-dialog-default.glade:
	* src/gs-lock-plug.c: (take_note), (submit_note), (cancel_note),
	(load_theme), (gs_lock_plug_init):
	Add ability to leave messages at the locked screen.
	Based on patch from Matthias Clasen <mclasen@redhat.com>
	Fixes #384509

2007-04-23  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* savers/Makefile.am:
	Fix the expansion of the cosmos and floaters locations.

2007-04-23  William Jon McCann  <mccann@jhu.edu>

	* savers/Makefile.am: Add .h file.

2007-04-23  William Jon McCann  <mccann@jhu.edu>

	* savers/Makefile.am:
	* savers/personal-slideshow.desktop.in:
	* savers/slideshow.c: (main):
	* savers/xdg-user-dir-lookup.c: (xdg_user_dir_lookup), (main):
	* savers/xdg-user-dir-lookup.h:
	Use XDG user dirs to find pictures directory.
	Patch from Matthias Clasen <mclasen@redhat.com>
	Fixes #411252

2007-04-23  William Jon McCann  <mccann@jhu.edu>

	reviewed by: <delete if not using a buddy>

	* savers/personal-slideshow.desktop.in:
	* savers/slideshow.c: (main):

2007-04-23  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post branch version bump.

2007-04-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c:
	Specify the xserver profile name in gdmflexiserver
	command to prevent asking the user.
	Patch from Matthias Clasen <mclasen@redhat.com>
	Fixes #428199

2007-04-19  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (add_unfade_idle):
	Unfade in a timeout instead of an idle func
	to help avoid flicker/race that only seems
	to happen with compiz.

2007-04-11  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c: (main):
	Init threads earlier.

2007-04-09  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.18.1 ====

2007-04-09  William Jon McCann  <mccann@jhu.edu>

	* NEWS: update for release

2007-03-02  Ray Strode  <rstrode@redhat.com>

	* src/gs-grab-x11.c: (gs_grab_grab_window): Require
	mouse grab in addition to keyboard grab.
	Fixes #425550

2007-04-02  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c: (response_cb),
	(is_program_in_path), (init_capplet):
	Don't show the gpm button if command isn't found.
	Fixes #424165

2007-04-02  William Jon McCann  <mccann@jhu.edu>

	* src/test-window.c (main): Exit
	after 30 sec in case we lock up grabs.

2007-04-02  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Fix up deps.

2007-03-12  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.18.0 ====

2007-03-12  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for release

2007-03-12  William Jon McCann  <mccann@jhu.edu>

	* doc/dbus-interface.xml:
	* doc/gnome-screensaver.xml.in:
	Remove the obsolete cvs id comment.

2007-03-12  William Jon McCann  <mccann@jhu.edu>

	* savers/popsquares.desktop.in (Categories):
	* savers/personal-slideshow.desktop.in (Categories):
	Revert the unapproved and incorrect changes.
	Fixes #417538

2007-03-12  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am: Fix the order of libs.
	Patch from: Elijah Newren <newren@gmail.com>
	Fixes #417323

2007-03-11  Christian Kirbach  <Christian.Kirbach@googlemail.com>

        * data/gnome-screensaver-preferences.desktop.in:
        "Application" is not a valid category in the freedesktop.org
        specification.

	* savers/popsquares.desktop.in:
	* savers/personal-slideshow.desktop.in:
	Use proper capitalisation for ScreenSaver.

2007-02-28  William Jon McCann  <mccann@jhu.edu>

	* configure.ac (LIBGNOMEKBDUI_REQUIRED_VERSION):
	Add gconf dep to dialog.  Fixes #412492

2007-02-28  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c: (notice_events_inner):
	Don't watch for mouse motion events from windows
	that haven't registered for such events
	Patch from: William Lachance <wrlach@gmail.com>
	Fixes #412486

2007-02-26  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.17.8 ====

2007-02-26  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for release.

2007-02-24  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (switch_user_button_clicked):
	Desensitize the dialog after switch user is pressed.
	Fixes #411393

2007-02-22  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade:
	Remove switch user tab.

2007-02-21  William Jon McCann  <mccann@jhu.edu>

	* src/gs-auth-pam.c: (pam_conversation), (gs_auth_pam_verify_user):
	Fix pam conv failure handling.

	Patch from Ray Strode <rstrode@redhat.com>
	Fixes #400579

2007-02-21  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c: (gs_job_set_command), (gs_job_start):
	* src/gs-manager.c: (manager_select_theme_for_job):
	Add some debug stuff for jobs.

2007-02-20  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c: (gs_listener_update_console_kit_idle):
	Use new CK method name SetIdleHint().

2007-02-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (do_user_switch):
	Add the --startnew switch to gdmflexiserver command so that
	we always start a new greeter and not pop up a dialog.

2007-02-15  William Jon McCann  <mccann@jhu.edu>

	* src/debug-screensaver.sh: Add XDG_SESSION_COOKIE var.

	* src/gs-listener-dbus.c: (gs_listener_update_console_kit_idle),
	(listener_set_session_idle_internal):
	Update the ConsoleKit idle state if possible.

2007-02-15  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* src/Makefile.am:
	* src/cut-n-paste/.cvsignore:
	* src/cut-n-paste/Makefile.am:
	* src/cut-n-paste/fusa-display-private.h:
	* src/cut-n-paste/fusa-display.c:
	* src/cut-n-paste/fusa-display.h:
	* src/cut-n-paste/fusa-manager-private.h:
	* src/cut-n-paste/fusa-manager.c:
	* src/cut-n-paste/fusa-manager.h:
	* src/cut-n-paste/fusa-user-menu-item.c:
	* src/cut-n-paste/fusa-user-menu-item.h:
	* src/cut-n-paste/fusa-user-private.h:
	* src/cut-n-paste/fusa-user.c:
	* src/cut-n-paste/fusa-user.h:
	* src/cut-n-paste/fusa-utils.c:
	* src/cut-n-paste/fusa-utils.h:
	* src/cut-n-paste/gdm-queue.c:
	* src/cut-n-paste/gdm-queue.h:
	* src/gs-lock-plug.c: (do_user_switch), (gs_lock_plug_response),
	(is_program_in_path), (gs_lock_plug_set_switch_enabled),
	(create_page_one_buttons), (switch_user_button_clicked),
	(load_theme), (gs_lock_plug_init), (gs_lock_plug_finalize):
	Remove FUSA.  Go directly to GDM when the user switch button
	is pressed.  Fixes #407964

2007-02-15  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c: (kill_keyboard_command),
	(kill_dialog_command), (keyboard_command_finish),
	(gs_window_dialog_finish), (gs_window_finalize):
	Always send a signal to the subprocess even if
	we expect it already died.  Part of #407524

2007-02-15  William Jon McCann  <mccann@jhu.edu>

	* src/cut-n-paste/gdm-queue.c: (gdm_run_queue):
	Don't go into a loop when we can't open the GDM socket.
	Fixes #407524

2007-02-13  William Jon McCann  <mccann@jhu.edu>

	* src/debug-screensaver.sh:
	Also try to reset the PATH.  Add example
	of how to save debug output.

2007-02-13  William Jon McCann  <mccann@jhu.edu>

	* src/cut-n-paste/gdm-queue.c: (gdm_send_command):
	Add command to warning output.

	* src/debug-screensaver.sh: Add x-session-manager support.

2007-02-12  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.17.7 ====

2007-02-12  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for release

2007-02-09  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.schemas.in:
	Enable user switching by default, YEAH!

2007-02-08  William Jon McCann  <mccann@jhu.edu>

	* src/cut-n-paste/fusa-manager.c: (fusa_manager_new_console),
	(fusa_manager_new_xnest):
	* src/cut-n-paste/fusa-manager.h:
	* src/cut-n-paste/gdm-queue.h:
	* src/gs-lock-plug.c: (do_user_switch), (switch_user_response):
	Use gdm socket command to start a login procedure when available.
	Patch from Matthias Clasen <mclasen@redhat.com>
	Fixes #402183

2007-02-06  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* src/gs-window-x11.c (unshape_window, gs_window_xevent)
	(window_select_shape_events, gs_window_real_show):
	Watch for ShapeNotify events and unshape the window.
	Fixes #403936

2007-01-30  William Jon McCann  <mccann@jhu.edu>

	* src/cut-n-paste/Makefile.am:
	* src/cut-n-paste/fusa-manager.c: (gdm_callback_config_file),
	(fusa_manager_class_init), (fusa_manager_init),
	(fusa_manager_request_update_displays), (fusa_manager_finalize),
	(gdmconfig_monitor_cb), (shells_monitor_cb), (passwd_monitor_cb),
	(new_fusa_manager_with_callback), (resolve_dirty_flags),
	(handler_MinimalUID), (handler_Exclude), (handler_GlobalFaceDir),
	(handler_UserMaxFile), (handler_AllowRoot), (handler_MaxIconSize),
	(reload_gdm_config), (reload_passwd), (process_display_updates),
	(g_error_from_gdm_answer), (gdm_callback_update_displays),
	(gdm_callback_activate_display), (fusa_manager_activate_display),
	(fusa_manager_new_console), (fusa_manager_new_xnest):
	* src/cut-n-paste/fusa-manager.h:
	* src/cut-n-paste/fusa-user-menu-item.c:
	(fusa_user_menu_item_expose_event), (reset_label):
	* src/cut-n-paste/gdm-queue.c: (ask_gdm), (gdm_request_free),
	(version_ok_p), (close_gdm_socket), (gdm_run_queue),
	(gdm_send_next_command), (gdm_send_command), (get_dispnum),
	(chop_all_auths_off_gdm_queue),
	(gdm_callback_perhaps_set_official_cookie), (queue_authentication),
	(get_mit_magic_cookie):
	* src/cut-n-paste/gdm-queue.h:
	* src/cut-n-paste/gdmcomm.c:
	* src/cut-n-paste/gdmcomm.h:
	Sync with trunk fast-user-switch-applet.

	* src/gs-lock-plug.c: (switch_user_response), (plug_add_user),
	(user_added_cb), (user_removed_cb), (populate_model),
	(setup_treeview):
	Update for FUSA API changes.

2007-01-22  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.17.6 ====

2007-01-22  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for release

2007-01-12  Thomas Wood  <thos@gnome.org>

	Patch by: Denis Washington <dwashington@gmx.net>

	* data/gnome-screensaver-preferences.desktop.in: Categorize
	gnome-screensaver-preferences for the control center shell. Fixes bug
	395503.

2007-01-10  William Jon McCann  <mccann@jhu.edu>

	* configure.ac (set_more_warnings): Update from CVS to .svn

2007-01-08  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.17.5 ====

2007-01-08  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for release

2007-01-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (get_env_vars):
	Pass DBUS_SESSION_BUS_ADDRESS to jobs.
	Fixes #392780

2006-12-22  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (fullscreen_preview_start_cb):
	Set fullscreen before showing.  Seems to workaround a bug
	in some window managers and is better this way anyway.

2006-12-21  William Jon McCann  <mccann@jhu.edu>

	* src/gs-auth-pam.c: (gs_auth_thread_func),
	(gs_auth_pam_verify_user), (gs_auth_verify_user):
	Only make PAM calls in the auth thread.  Fixes #387572

2006-12-20  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am:
	Removed definition of log domain.

	* src/gs-auth-pam.c: (gs_auth_queued_message_handler),
	(gs_auth_run_message_handler), (pam_conversation),
	(gs_auth_thread_func), (gs_auth_verify_user):
	Add some verbosity.  Move the blocking of sigchild
	back around pam_authenticate.

2006-12-18  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.17.4 ====

2006-12-18  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for release

2006-12-16  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c: (main):
	* src/gs-lock-plug.c: (populate_model):
	* src/test-passwd.c: (main):
	Make sure to initialize threading now that
	auth uses it.

2006-12-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-fade.c: (xf86_whack_gamma), (gamma_info_init),
	(gs_fade_init):
	Make sure XF86_MIN_GAMMA is defined.  Add some debug.
	May fix #373702

2006-12-11  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am:
	* src/debug-screensaver.sh:
	Added script to help run gdb from outside
	the GNOME session.

2006-12-11  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c (get_pixbuf_from_local_dir):
	Check for an empty file list.  Fixes #382757

2006-12-04  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.17.3 ====

2006-12-04  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.17.3 release

2006-11-15  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* src/Makefile.am:
	* src/gs-lock-plug.c: (gs_lock_plug_init):
	Make the layout indicator optional.

	Patch from Sergey V. Udaltsov <svu@gnome.org>

2006-11-13  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c: (show_cb), (popup_dialog_idle):
	* src/gs-lock-plug.c: (forward_key_events):
	* src/gs-window-x11.c: (forward_key_events):
	Don't create the plug until it is shown so that key forwarding
	works correctly.

2006-11-13  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade:
	* src/gnome-screensaver-dialog.c: (request_response),
	(auth_message_handler), (do_auth_check), (response_cb),
	(popup_dialog_idle):
	* src/gs-auth-pam.c: (gs_auth_queued_message_handler),
	(gs_auth_run_message_handler), (pam_conversation),
	(close_pam_handle), (create_pam_handle), (gs_auth_thread_func),
	(gs_auth_loop_quit), (gs_auth_identify_user),
	(gs_auth_verify_user):
	* src/gs-lock-plug.c: (queue_key_event), (forward_key_events),
	(gs_lock_plug_set_busy), (gs_lock_plug_set_ready),
	(gs_lock_plug_enable_prompt), (gs_lock_plug_disable_prompt),
	(entry_key_press):
	* src/gs-lock-plug.h:
	* src/gs-manager.c: (gs_manager_cancel_unlock_request):
	* src/gs-manager.h:
	* src/gs-window-x11.c: (gs_window_cancel_unlock_request):
	* src/gs-window.h:
	Make PAM auth more async so it can be cancelled.

	Patch from Ray Strode <rstrode@redhat.com>
	Fixes #373556

2006-11-09  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c: (auth_message_handler):
	* src/gs-auth-pam.c: (auth_message_handler), (pam_conversation):
	Revert the last patch and use one from Ray instead.  It
	makes way more sense to do the conversion in gs-auth.
	Fixes #372707

2006-11-08  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c: (auth_message_handler):
	Add missing g_locale_to_utf8.  Fixes #372707

2006-11-06  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.17.2 ====

2006-11-06  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.17.2 release

2006-11-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c: (gs_window_real_motion_notify_event):
	Only notice mouse motion of 10% of screen width instead of 50px.

	Patch from Thomas Andersen <phomes@gmail.com>
	Fixes #359589

2006-11-06  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-command.c: (do_command):
	Add option to show how long screensaver was active.

	Patch from Patrick McLean <chutzpah@gentoo.org>
	Fixes #367932

2006-11-06  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade:
	* src/gnome-screensaver-preferences.c: (response_cb):
	Add a button to get to the power management preferences.

2006-11-01  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade:
	* src/gs-lock-plug.c: (gs_lock_plug_init):
	Don't set the kbd indicator box to expand and hide
	it if it is empty.

2006-10-31  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c: (_g_time_val_to_iso8601),
	(accumulate_ref_entry), (listener_dbus_get_ref_entries),
	(listener_dbus_add_ref_entry), (do_introspect),
	(listener_dbus_handle_session_message):
	Add GetInhibitors() to dbus interface.

2006-10-29  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* data/lock-dialog-default.glade:
	* src/Makefile.am:
	* src/gs-lock-plug.c: (load_theme), (gs_lock_plug_init):
	Add a keyboard layout indicator to the unlock dialog when
	there are at least two layout groups available.

	Patch from Sergey V. Udaltsov <svu@gnome.org>
	Fixes #327056

2006-10-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c: (listener_dbus_handle_system_message),
	(gs_listener_acquire), (query_session_id), (init_session_id),
	(gs_listener_init), (gs_listener_finalize):
	Add ConsoleKit Unlock/Lock functionality.

	* src/gs-watcher-x11.c: (remove_power_timer), (add_power_timer),
	(remove_idle_timer), (add_idle_timer),
	(_gs_watcher_notice_activity):
	Don't spew so much debug.

2006-10-19  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c: (reset_timers), (start_idle_watcher),
	(stop_idle_watcher), (_gs_watcher_reset_state),
	(_gs_watcher_set_active_internal), (maybe_send_signal),
	(power_timer):
	Reset the timers and state correctly.

2006-10-19  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (query_pointer_timeout):
	Trap and ignore errors if the window goes away.

2006-10-19  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c: (notice_events_inner),
	(query_pointer_timeout), (gs_watcher_xevent), (start_idle_watcher),
	(stop_idle_watcher), (gs_watcher_init), (gs_watcher_finalize),
	(power_timer), (idle_timer), (schedule_wakeup_event):
	Remove the pointer polling and try to select motion events.
	Fixes #363436.

2006-10-18  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.schemas.in:
	* src/gs-listener-dbus.c: (send_dbus_boolean_signal),
	(gs_listener_emit_power_notice),
	(gs_listener_send_signal_active_changed),
	(gs_listener_send_signal_session_idle_changed), (do_introspect):
	* src/gs-listener-dbus.h:
	* src/gs-monitor.c: (watcher_power_notice_cb),
	(_gs_monitor_update_from_prefs), (disconnect_watcher_signals),
	(connect_watcher_signals):
	* src/gs-prefs.c: (_gs_prefs_set_power_timeout),
	(gs_prefs_load_from_gconf), (key_changed_cb), (gs_prefs_init):
	* src/gs-prefs.h:
	* src/gs-watcher-x11.c: (gs_watcher_set_power_timeout),
	(gs_watcher_set_property), (gs_watcher_get_property),
	(gs_watcher_class_init), (remove_power_timer), (add_power_timer),
	(reset_timers), (_gs_watcher_set_session_power_notice),
	(_gs_watcher_notice_activity), (power_timer), (idle_timer),
	(schedule_power_wakeup_event):
	* src/gs-watcher.h:
	Add SessionPowerManagementIdleChanged signal for power-management
	baseline.  Fixes #350293

2006-10-16  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.17.1 ====

2006-10-16  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.17.1 release.

2006-10-16  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Bump version to 2.17.1 after branching.

2006-10-12  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (remove_cancel_timeout),
	(gs_lock_plug_response), (dialog_timed_out),
	(restart_cancel_timeout), (gs_lock_plug_show), (switch_page),
	(gs_lock_plug_show_prompt), (entry_key_press),
	(gs_lock_plug_finalize):
	Don't poll timers to determine when the dialog has timed
	out.  Just rely on when a timeout source gets triggered.
	The polling was a remnant of when we used to have a progress
	bar in the dialog.  May fix #359605

2006-10-12  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c: (populate_model),
	(compare_theme_names), (setup_treeview):
	Don't show expander column since we don't really use
	a tree at this point (gtk+ 2.10 only).
	Use g_utf8_collate to get the correct sort order.
	Fixes #359846.

2006-10-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (get_env_vars): Pass bus address.

2006-10-02  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.16.1 ====

2006-10-02  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.16.1 release.

2006-10-02  William Jon McCann  <mccann@jhu.edu>

	* savers/gs-theme-window.c (force_no_pixmap_background):
	Use #000000 color notation.  Add SELECTED state.

2006-10-02  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c: (spawn_make_environment_for_screen),
	(spawn_command_line_on_screen_sync), (get_best_visual_for_screen),
	(get_best_colormap_for_screen):
	Set the correct value of DISPLAY for the gl helper.
	Fixes #358963

2006-10-02  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (queue_key_event):
	Don't queue keys that may cause focus navigation in the dialog.

	Patch from Bruno Boaventura <brunoboaventura@gmail.com>
	Fixes #354975

2006-10-02  William Jon McCann  <mccann@jhu.edu>

	* src/gs-grab-x11.c: (xorg_lock_smasher_set_active),
	(gs_grab_nuke_focus):
	* src/gs-visual-gl.c: (gs_visual_gl_get_best_for_screen):
	* src/gs-watcher-x11.c: (notice_events),
	(init_mit_saver_extension):
	* src/gs-window-x11.c: (clear_all_children), (select_popup_events):
	Sync X11 display before removing error handlers.
	Hopefully fixes #358963

2006-10-02  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-command.c (main):
	Don't close a shared bus connection.

2006-09-29  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade:
	Don't explicitly set icon sizes in preview bar.
	Fixes #353518
	Patch from Dimitur Kirov <dkirov@gmail.com>

2006-09-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (gs_manager_create_window):
	Add debug spew for number of monitors per screen.

2006-09-05  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* src/gs-watcher-x11.c: (reset_timers),
	(initialize_server_extensions), (disable_builtin_screensaver):
	Rip out the SGI saver and xidle stuff since we are not using it.

2006-09-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-grab-x11.c: (gs_grab_get_keyboard), (gs_grab_move_mouse),
	(gs_grab_move_keyboard), (gs_grab_grab_window):
	* src/gs-job.c: (wait_on_child), (nice_process), (spawn_on_widget),
	(gs_job_start):
	* src/gs-listener-dbus.c: (send_dbus_message),
	(send_dbus_void_signal), (gs_listener_send_signal_active_changed),
	(gs_listener_send_signal_session_idle_changed), (raise_error),
	(raise_property_type_error), (listener_set_property),
	(listener_get_property), (listener_get_active_time),
	(listener_get_session_idle_time), (gs_listener_dbus_init):
	* src/gs-manager.c: (gs_manager_activate), (gs_manager_deactivate):
	* src/gs-window-x11.c: (get_env_vars):
	Use gs_debug instead of g_warning so the messages get into the log.
	Also add more environment variables to the whitelist.

2006-09-04  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.16.0 ====

2006-09-04  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.16.0 release

2006-08-29  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c: (job_set_theme):
	* src/gs-job.c: (gs_job_set_command), (spawn_on_widget):
	* src/gs-manager.c: (manager_select_theme_for_job):
	Check for NULL theme info.  Fixes #353421.

2006-08-25  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade:
	Don't set invisible char.

	* src/gs-lock-plug.c: (gs_lock_plug_set_switch_enabled),
	(gs_lock_plug_init):
	Don't try to hide NULL widgets.  Fixes #352812

2006-08-25  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (gs_manager_deactivate):
	Reset dialog_up and fading state.
	May help fix #352818

2006-08-25  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (window_dialog_down_cb):
	Add debug spew.

2006-08-22  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (manager_select_theme_for_job),
	(gs_manager_init), (gs_manager_finalize):
	Until we fix #349695 we should minimize creating
	and destroying the GSThemeManager objects.

2006-08-21  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.15.7 ====

2006-08-21  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.15.7 release.

2006-08-21  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade:
	Set labelled by atk relation for entry.
	Part of #350716.

2006-08-07  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.15.6 ====

2006-08-07  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.15.6 release.

2006-08-05  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: (draw_iter):
	* src/gnome-screensaver-gl-helper.c: (main):
	* src/gnome-screensaver-preferences.c: (check_is_root_user):
	* src/gs-listener-dbus.c: (generate_cookie):
	* src/gs-watcher-x11.c: (init_mit_saver_extension):

	Fix warnings from sparse.  Fixes #350049
	Patch from Kjartan Maraas <kmaraas@gnome.org>

2006-08-04  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (gs_manager_get_lock_enabled):
	* src/gs-manager.h:
	* src/gs-monitor.c: (gs_monitor_lock_screen),
	(gs_monitor_simulate_user_activity), (listener_lock_cb),
	(listener_simulate_user_activity_cb):
	Add some of the safe parts of the patch from #347798

2006-08-04  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c: (get_best_visual):
	Check result of g_spawn.

2006-08-03  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (gs_lock_plug_show_prompt):
	Don't grab focus if entry already has it.  In
	that case it was selecting the existing text and
	any new keypress would overwrite it.  This
	causes a problem for the key forwarding.

	* src/gs-window-x11.c: (queue_key_event),
	(gs_window_real_key_press_event):
	Fix problem where we were only queuing one key event.
	Also add a paranoid limit on the number of queued keys.

2006-08-03  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am:
	* src/gnome-screensaver-preferences.c: (get_all_theme_ids),
	(config_set_theme), (job_set_theme), (preview_set_theme),
	(get_theme_info_list), (populate_model),
	(tree_selection_changed_cb), (init_capplet), (main):
	* src/gs-job.c: (gs_job_finalize), (gs_job_set_command),
	(spawn_on_widget), (gs_job_start):
	* src/gs-job.h:
	* src/gs-manager.c: (manager_select_theme_for_job), (cycle_job),
	(manager_show_window):
	* src/gs-theme-manager.[ch]: (find_command), (check_command),
	(add_known_engine_locations_to_path), (gs_theme_info_ref),
	(gs_theme_info_unref), (gs_theme_info_get_id),
	(gs_theme_info_get_name), (gs_theme_info_get_exec),
	(gs_theme_info_new_from_gmenu_tree_entry), (find_info_for_id),
	(gs_theme_manager_lookup_theme_info), (theme_prepend_entry),
	(make_theme_list), (gs_theme_manager_get_info_list),
	(gs_theme_manager_class_init), (get_themes_tree),
	(gs_theme_manager_init), (gs_theme_manager_finalize),
	(gs_theme_manager_new):
	Separate out theme management from job mechanism.

2006-08-02  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c: (get_themes_tree), (gs_job_lookup_theme_info),
	(gs_job_get_theme_info_list):
	Don't keep GMenuTree around as a static object.  This
	was done initially to work around gnome-menus leaks
	and to avoid fragmentation.

	* src/gs-prefs.c: (gs_prefs_finalize):
	Free keyboard_command.

2006-08-01  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.desktop.in:
	Updated icon name to new one from gnome-icon-themes.
	Fixes #349463

2006-08-01  William Jon McCann  <mccann@jhu.edu>

	* savers/gs-theme-window.c: (gs_theme_window_real_realize):
	Fix more fallout from bug #338246.

	* src/gs-window-x11.c: (get_env_vars):
	Debug spew the environment variables.

2006-08-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c: (error_watch), (spawn_on_window),
	(keyboard_command_watch), (lock_command_watch):
	Watch the error output from the child process for debugging
	purposes.

2006-07-31  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* src/gs-watcher-x11.c: (initialize_server_extensions):
	Remove unused code and configure checks.  Don't explicitly
	link to libraries that we don't have to.

2006-07-31  William Jon McCann  <mccann@jhu.edu>

	* savers/floaters.c: (screen_saver_on_expose_event):
	Another speed up patch for floaters.

	Patch from Matthias Clasen <mclasen@redhat.com>
	Fixes part of #331145

2006-07-31  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.schemas.in:
	* src/gs-manager.c: (gs_manager_set_keyboard_enabled),
	(gs_manager_set_logout_command), (gs_manager_set_keyboard_command),
	(gs_manager_set_property), (gs_manager_get_property),
	(gs_manager_finalize), (gs_manager_create_window):
	* src/gs-manager.h:
	* src/gs-monitor.c: (_gs_monitor_update_from_prefs):
	* src/gs-prefs.c: (_gs_prefs_set_keyboard_enabled),
	(_gs_prefs_set_keyboard_command), (gs_prefs_load_from_gconf),
	(key_changed_cb):
	* src/gs-prefs.h:
	* src/gs-window-x11.c: (get_env_vars), (spawn_on_window),
	(lock_plug_added), (lock_plug_removed), (keyboard_plug_added),
	(keyboard_plug_removed), (keyboard_socket_destroyed),
	(lock_socket_show), (lock_socket_destroyed),
	(create_keyboard_socket), (wait_on_child),
	(keyboard_command_finish), (kill_keyboard_command),
	(keyboard_command_watch), (embed_keyboard), (create_lock_socket),
	(gs_window_dialog_finish), (kill_dialog_command), (shake_dialog),
	(lock_command_watch), (popup_dialog_idle),
	(gs_window_request_unlock), (gs_window_set_keyboard_enabled),
	(gs_window_set_keyboard_command), (gs_window_set_property),
	(gs_window_get_property), (maybe_handle_activity),
	(gs_window_class_init), (gs_window_init), (remove_command_watches),
	(gs_window_finalize):
	* src/gs-window.h:

	Add support (disabled by default) for embedding a keyboard
	in the screen lock window.  Fixes #347721

2006-07-28  William Jon McCann  <mccann@jhu.edu>

	* savers/gs-theme-window.c (gs_theme_window_real_realize):
	Make sure to call gdk_window_set_events to actually
	apply the event mask.  Follow up to bug #338246

2006-07-27  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (theme_installer_run):
	Make the directory first.

2006-07-27  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (theme_installer_run)
	(drag_data_received_cb):
	Unbreak DnD of .desktop files.

	* src/file-transfer-dialog.c (create_titled_label):
	Sync with control center copy.  Fix crash.

2006-07-25  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c: (gs_listener_set_throttle):
	Fix typo in debug output.

2006-07-24  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.15.5 ====

2006-07-24  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.15.5 release.

2006-07-24  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_real_key_press_event):
	Ignore brightness keys.

	Patch from Matthew Garrett.
	Fixes #347855

2006-07-24  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c: (listener_dbus_add_ref_entry),
	(listener_service_deleted), (listener_dbus_handle_session_message),
	(listener_dbus_handle_system_message),
	(gs_listener_message_handler), (gs_listener_dbus_init),
	(listener_dbus_filter_function),
	(listener_dbus_system_filter_function), (gs_listener_acquire):
	Listen for KEY_COFEE from HAL.  Lock screen in response.

	Based on patch from downstream Ubuntu.
	Fixes #347854

2006-07-21  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c: (setup_treeview_idle),
	(init_capplet):
	Populate the themes list in an idle.  Should speed up
	startup a bit.

2006-07-18  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c: (auth_message_handler):
	Only show message when we have a response.

2006-07-18  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade:
	Add a bit more padding to make it more like what
	we had for 2.14 and to stand out more since we don't
	have window decoration.

2006-07-18  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c: (request_response),
	(auth_message_handler), (reset_idle_cb), (do_auth_check):
	* src/gs-lock-plug.c: (gs_lock_plug_set_sensitive),
	(monitor_progress), (gs_lock_plug_run), (gs_lock_plug_show_prompt):
	* src/gs-lock-plug.h:
	Make sure to grab focus to the entry when a prompt is shown.  Only
	desensitize the buttons and entry box as we did in 2.14.
	Fixes #347788.

2006-07-18  William Jon McCann  <mccann@jhu.edu>

	* src/test-window.c: (window_activity_cb),
	(disconnect_window_signals), (connect_window_signals):
	Make test-window work again after signal changes.

2006-07-17  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (watchdog_timer):
	Use gdk_window_focus instead of gtk_window_present
	to prevent theme flicker.

	Patch from Ryan Lortie <desrt@desrt.ca>
	Fixes #347853.

2006-07-12  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am:
	* src/gs-manager.c: (window_dialog_up_cb),
	(find_window_at_pointer), (window_activity_cb),
	(disconnect_window_signals), (connect_window_signals),
	(gs_manager_request_unlock):
	* src/gs-manager.h:
	* src/gs-marshal.list:
	* src/gs-window-x11.c: (maybe_handle_activity),
	(gs_window_real_key_press_event),
	(gs_window_real_motion_notify_event),
	(gs_window_real_button_press_event), (gs_window_real_scroll_event),
	(gs_window_class_init), (gs_window_finalize):
	* src/gs-window.h:
	Emit a signal when activity is detected on the window.  Allow
	the manager to decide whether an unlock request should occur and
	where.  Make the dialog appear on the correct window when
	in xinerama.

2006-07-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c: (queue_key_event):
	Don't queue escape.

2006-07-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (manager_maybe_start_job_for_window),
	(window_dialog_down_cb):
	Add some debug spew.  Resume jobs after resetting dialog up flag.

2006-07-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c: (gs_job_died), (command_watch), (gs_job_start),
	(gs_job_stop), (gs_job_suspend):
	* src/gs-manager.c: (lookup_job_for_window),
	(manager_maybe_stop_job_for_window),
	(manager_maybe_start_job_for_window), (cycle_job), (throttle_job),
	(resume_job), (gs_manager_cycle), (maybe_set_window_throttle),
	(window_obscured_cb), (disconnect_window_signals),
	(connect_window_signals), (gs_manager_request_unlock):
	* src/gs-window-x11.c: (gs_window_get_property),
	(gs_window_is_obscured), (window_set_obscured),
	(gs_window_real_visibility_notify_event), (gs_window_class_init),
	(gs_window_init):
	* src/gs-window.h:

	Stop running screensaver themes on each window when
	it is completely obscured.  This happens when the
	VT switches.  We resume running the theme when the
	window is unobscured.  We additionally try to attempt
	unlock (or request authentication) when unobscured.
	Fixes #339330

2006-07-11  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-command.c (main):
	Use dbus_connection_close not _disconnect
	Fixes #347126

2006-07-10  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.15.4 ====

2006-07-10  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.15.4 release.

2006-07-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (remove_unfade_idle):
	Move function before first usage.  Fixes #346753

2006-07-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (gs_manager_finalize),
	(manager_maybe_grab_window), (gs_manager_activate),
	(gs_manager_deactivate):
	Remove unfade idle.

	* src/gs-window-x11.c: (get_best_visual):
	Fix leak.

2006-07-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-grab-x11.c (gs_grab_release): Do a gdk
	display sync and flush to make sure the grabs are released.

2006-07-05  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver.c: (main):
	* src/gs-fade.c: (xf86_whack_gamma), (gamma_info_init),
	(gs_fade_class_init), (gs_fade_finalize):
	* src/gs-grab-x11.c:
	* src/gs-job.c: (add_known_engine_locations_to_path),
	(get_themes_tree), (find_info_for_id),
	(gs_job_get_theme_info_list), (gs_job_class_init),
	(gs_job_finalize), (gs_job_set_theme), (spawn_on_widget),
	(gs_job_start), (gs_job_stop), (gs_job_suspend):
	* src/gs-listener-dbus.c: (gs_listener_error_quark),
	(gs_listener_class_init), (gs_listener_init),
	(gs_listener_finalize):
	* src/gs-manager.c: (free_themes), (gs_manager_set_themes),
	(gs_manager_class_init), (gs_manager_finalize):
	* src/gs-monitor.c: (gs_monitor_class_init), (gs_monitor_finalize):
	* src/gs-prefs.c: (gs_prefs_class_init), (gs_prefs_init),
	(gs_prefs_finalize):
	* src/gs-prefs.h:
	* src/gs-watcher-x11.c: (gs_watcher_class_init),
	(stop_notice_events), (start_notice_events),
	(_gs_watcher_notice_window_created),
	(_gs_watcher_pointer_position_free),
	(_gs_watcher_set_pointer_position), (start_idle_watcher),
	(gs_watcher_finalize):
	* src/gs-window-x11.c: (gs_window_real_unrealize),
	(gs_window_real_realize), (gs_window_real_show),
	(gs_window_real_hide), (gs_window_real_key_press_event),
	(gs_window_class_init), (gs_window_finalize):
	Misc cleanups.  A few memory reduction attempts.

2006-06-29  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-command.c:
	(screensaver_send_message_inhibit), (do_command):
	Add a blocking inhibit to the command line tool.
	Also add short options.

2006-06-28  William Jon McCann  <mccann@jhu.edu>

	* src/.cvsignore:
	* src/Makefile.am:
	* src/gnome-screensaver-gl-helper.c: (main):
	* src/gnome-screensaver-preferences.c: (get_best_visual),
	(get_best_colormap_for_screen), (widget_set_best_colormap),
	(init_capplet):
	* src/gs-visual-gl.c: (gs_visual_gl_get_best_for_screen):
	* src/gs-visual-gl.h:
	* src/gs-window-x11.c: (get_best_visual),
	(get_best_colormap_for_screen), (widget_set_best_colormap),
	(gs_window_real_realize):
	Move getting best visual for GL into a separate process
	to avoid linking to libGL.

2006-06-16  William Jon McCann  <mccann@jhu.edu>

	* savers/gs-theme-window.c: (force_no_pixmap_background),
	(gs_theme_window_init):
	* src/gs-window-x11.c: (force_no_pixmap_background),
	(gs_window_init):
	Override gtk theme background.  Fixes #344936

2006-06-16  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (command_watch): Add debugging.

	* src/gs-debug.c (_gs_profile_log): Don't crash with NULL format
	strings.

	Patch from Joe Marcus Clarke <marcus@freebsd.org>
	Fixes #344805

2006-06-13  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c: (maybe_translate_message),
	(auth_message_handler):
	Try to translate some common messages from PAM.

	* src/gs-auth-helper.c: (ext_run):
	* src/gs-auth-pwent.c: (get_encrypted_passwd), (passwds_match):
	Add some braces.

2006-06-12  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.15.3 ====

2006-06-12  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.15.3 release.

2006-06-12  William Jon McCann  <mccann@jhu.edu>

	* src/gs-auth-helper.c: (gs_auth_verify_user):
	* src/gs-auth-pwent.c: (gs_auth_priv_init), (gs_auth_verify_user):
	Don't try to unlock screen with root's password.

2006-06-12  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade:
	Use Password as default label for prompt
	since it is the most likely one.

	* savers/gste-slideshow.c:
	Reduce minimum fps to 3.

2006-06-09  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: (start_fade), (update_display),
	(draw_iter), (gste_slideshow_real_show),
	(gste_slideshow_real_configure), (gste_slideshow_finalize):
	Don't use CAIRO_OPERATOR_OVER.  Don't use alpha in buffer surface.
	Add fps computation.  Disable fade below 5 fps.

2006-06-08  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: (update_display), (set_colormap),
	(gste_slideshow_init):
	Use CAIRO_OPERATOR_OVER.  Explicitly set the colormap.

2006-06-08  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: (gste_slideshow_real_configure):
	Use a similar surface to the target as the buffer.  Seems
	to improve performance.

2006-06-08  William Jon McCann  <mccann@jhu.edu>

	* savers/floaters.c: (path_new),
	(screen_saver_floater_should_come_on_screen),
	(screen_saver_floater_get_position_from_time),
	(screen_saver_floater_update_state), (gamma_correct),
	(screen_saver_floater_do_draw), (screen_saver_new),
	(screen_saver_destroy_floaters), (screen_saver_update_state),
	(screen_saver_do_update_state), (screen_saver_do_update_stats),
	(do_print_screen_saver_stats), (main):
	* savers/gs-theme-window.c: (gs_theme_window_real_realize),
	(gs_theme_window_new):
	* savers/gs-theme-window.h:
	* savers/gste-popsquares.c: (draw_iter):
	* savers/gste-slideshow.c: (get_exif_orientation),
	(pixbuf_copy_rotate_90), (pixbuf_copy_mirror), (add_files_to_list),
	(load_threadfunc):
	* savers/popsquares.c: (main):
	* savers/slideshow.c: (main):

	Eliminate trailing whitespace.

2006-06-08  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.schemas.in: Remove the try_auth_first key.

	* data/lock-dialog-default.glade: Rename the auth_password_* widgets
	to auth_prompt_*

	* src/gnome-screensaver-dialog.c: (quit_response_ok),
	(quit_response_cancel), (request_response), (auth_message_handler),
	(reset_idle_cb), (do_auth_check), (response_cb), (auth_check_idle),
	(popup_dialog_idle):
	* src/gs-lock-plug.c: (gs_lock_plug_style_set), (set_status_text),
	(set_dialog_sensitive), (gs_lock_plug_response),
	(gs_lock_plug_get_text), (shutdown_loop), (run_unmap_handler),
	(run_response_handler), (run_delete_handler),
	(run_destroy_handler), (gs_lock_plug_run), (gs_lock_plug_show),
	(gs_lock_plug_hide), (gs_lock_plug_size_request),
	(gs_lock_plug_class_init), (gs_lock_plug_show_prompt),
	(gs_lock_plug_show_message), (create_page_one), (load_theme),
	(gs_lock_plug_init), (gs_lock_plug_finalize):
	* src/gs-lock-plug.h:

	Don't do authentication from within the lock plug.  Allow the
	authentication to drive the GUI.

2006-06-08  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am:
	* src/gnome-screensaver-dialog.c: (print_id), (popup_dialog_idle),
	(privileged_initialization), (lock_initialization), (main):
	* src/gs-auth-pam.c: (pam_conversation):
	* src/gs-debug.c: (gs_debug_enabled), (gs_debug_shutdown),
	(_gs_profile_log):
	* src/gs-debug.h:
	* src/gs-lock-plug.c: (response_cancel_idle_cb),
	(response_ok_idle_cb), (monitor_progress), (request_password),
	(auth_message_handler), (do_initial_auth_check),
	(gs_lock_plug_show), (auth_check_idle_cb), (populate_model),
	(setup_treeview), (create_page_one_buttons),
	(create_page_two_buttons), (create_page_one), (create_page_two),
	(gs_lock_plug_init):
	* src/gs-window-x11.c: (popup_dialog_idle):

	Share the profiling code.  Add a verbose option to gnome-screensaver-dialog.
	Do the initial auth check at start.  Interrupt the PAM stack if
	there is no response.

	The dialog can now be profiled like so:
	strace -ttt -f -o /tmp/logfile.strace /usr/libexec/gnome-screensaver-dialog --verbose
	python plot-timeline.py -o prettygraph.png /tmp/logfile.strace

2006-06-08  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Turn off docbook generation by default.

	Patch from Richard Hughes <richard@hughsie.com>
	Fixes #344207

2006-06-07  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-command.c: (main):
	* src/gnome-screensaver-dialog.c: (main):
	* src/gnome-screensaver-preferences.c: (preview_set_theme),
	(populate_model), (separator_func), (theme_installer_run),
	(fullscreen_preview_previous_cb), (fullscreen_preview_next_cb),
	(fullscreen_preview_cancelled_cb), (fullscreen_preview_start_cb),
	(check_is_root_user), (main):
	* src/gnome-screensaver.c: (main):
	* src/gs-auth-helper.c:
	* src/gs-auth-pam.c: (auth_message_handler), (pam_conversation),
	(gs_auth_verify_user):
	* src/gs-auth-pwent.c: (passwds_match):
	* src/gs-debug.c: (gs_debug_real):
	* src/gs-fade.c: (check_gamma_extension), (gamma_info_init):
	* src/gs-grab-x11.c: (gs_grab_move_mouse):
	* src/gs-job.c: (gs_job_died):
	* src/gs-listener-dbus.c: (do_introspect),
	(listener_dbus_filter_handle_methods),
	(gs_listener_message_handler), (listener_dbus_filter_function),
	(screensaver_is_running):
	* src/gs-lock-plug.c: (gs_lock_plug_close),
	(gs_lock_plug_class_init), (get_user_display_label),
	(populate_model), (separator_func), (expand_string):
	* src/gs-manager.c: (window_deactivated_cb):
	* src/gs-prefs.c: (key_changed_cb):
	* src/gs-watcher-x11.c: (disable_builtin_screensaver),
	(schedule_wakeup_event):
	* src/gs-window-x11.c: (gs_window_override_user_time),
	(gs_window_dialog_finish):
	* src/test-fade.c: (main):
	* src/test-passwd.c: (main):
	* src/test-watcher.c: (main):
	* src/test-window.c: (main):

	Eliminate trailing whitespace found using
	(setq-default show-trailing-whitespace t)
	in ~/.emacs.

2006-06-07  William Jon McCann  <mccann@jhu.edu>

	* doc/.cvsignore:
	* doc/gnome-screensaver.html:
	Check in generated html documentation so
	it can be read from CVS.

2006-06-07  William Jon McCann  <mccann@jhu.edu>

	* doc/dbus-interface.xml: Fix description.

2006-06-06  William Jon McCann  <mccann@jhu.edu>

	* doc/dbus-interface.xml:
	* src/gnome-screensaver-command.c: (do_command):
	* src/gs-listener-dbus.c: (do_introspect),
	(listener_dbus_filter_handle_methods):
	Add introspection after learning how to do it
	from hal.  Change setActive and others to
	use the DBUS naming convention.

2006-06-06  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Add missing DOCDIR stuff.

2006-06-06  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* doc/.cvsignore:
	* doc/DBUS-API.txt:
	* doc/Makefile.am:
	* doc/config.xsl:
	* doc/dbus-interface.xml:
	* doc/docbook.css:
	* doc/gnome-screensaver.xml.in:
	Convert API documentation to docbook.

	Patch from Richard Hughes.

2006-06-06  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am: Fix filenames.  Fixes distcheck.

2006-06-06  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c (N_FADE_TICKS):
	Reduce the number of fade ticks.

2006-06-06  William Jon McCann  <mccann@jhu.edu>

	* savers/gs-theme-engine.c: (_gs_theme_engine_profile_log):
	* savers/gs-theme-engine.h:
	* savers/gste-slideshow.c: (update_display):
	Add a couple more profile points.

2006-06-06  William Jon McCann  <mccann@jhu.edu>

	* doc/DBUS-API.txt: Rename poke and add some more
	descriptions.

	* src/gnome-screensaver-command.c: (do_command):
	* src/gs-listener-dbus.c: (listener_dbus_filter_handle_methods),
	(gs_listener_class_init):
	* src/gs-listener-dbus.h:
	* src/gs-monitor.c: (listener_simulate_user_activity_cb),
	(disconnect_listener_signals), (connect_listener_signals):
	Rename Poke to SimulateUserActivity since that seems to be
	preferred from feedback on XDG list.  How boring.

2006-06-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-auth-pam.c: (set_pam_error), (gs_auth_verify_user):
	* src/gs-auth.h:
	Cover a few more error cases even though they don't ever
	seem to occur.

2006-06-05  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am:
	* src/gs-auth-pam.c: (pam_style_to_gs_style),
	(auth_message_handler), (pam_conversation), (set_pam_error),
	(gs_auth_verify_user):
	* src/gs-lock-plug.c: (auth_check_idle_cb):
	* src/test-passwd.c: (main):
	More auth tweaking.

2006-06-05  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.schemas.in:
	* src/gs-lock-plug.c: (get_try_lock_first), (gs_lock_plug_show):
	Add a try_auth_first gconf key to enable trying authentication
	before a password has been entered.

	Fixes #338635.

2006-06-05  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* data/lock-dialog-default.glade:
	* src/Makefile.am:
	* src/gnome-screensaver-dialog.c: (privileged_initialization),
	(lock_initialization):
	* src/gs-auth-helper.c: (gs_auth_error_quark),
	(gs_auth_set_verbose), (gs_auth_get_verbose), (ext_run),
	(gs_auth_verify_user), (gs_auth_init), (gs_auth_priv_init):
	* src/gs-auth-pam.c: (gs_auth_error_quark), (gs_auth_set_verbose),
	(gs_auth_get_verbose), (pam_conversation), (close_pam_handle),
	(create_pam_handle), (gs_auth_verify_user), (gs_auth_init),
	(gs_auth_priv_init):
	* src/gs-auth-pwent.c: (gs_auth_error_quark),
	(gs_auth_set_verbose), (gs_auth_get_verbose), (passwd_known),
	(get_encrypted_passwd), (gs_auth_priv_init), (gs_auth_init),
	(passwds_match), (gs_auth_verify_user):
	* src/gs-auth.h:
	* src/gs-lock-plug.c: (remove_auth_check_idle),
	(gs_lock_plug_response), (gs_lock_plug_show), (request_password),
	(auth_message_handler), (auth_check_idle_cb), (load_theme),
	(gs_lock_plug_finalize):
	* src/gs-lock-plug.h:

	* src/passwd-helper.c:
	* src/passwd-helper.h:
	* src/passwd-pam.c:
	* src/passwd-pam.h:
	* src/passwd-pwent.c:
	* src/passwd-pwent.h:
	* src/passwd.c:
	* src/passwd.h:
	Removed files.

	* src/test-passwd.c: (privileged_initialization),
	(lock_initialization), (request_password), (auth_message_handler),
	(main):

	Refactor the authentication process so it can drive the GUI better.  No longer
	support authentication scheme fallbacks.  

2006-06-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c: (gs_listener_send_signal_active_changed):
	* src/gs-manager.c: (gs_manager_activate):
	Make activation wait for fade to complete.

	Fixes #343608

2006-06-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (release_grab_timeout):
	Only release grabs if the manager isn't active.

2006-06-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-grab-x11.c: (xorg_lock_smasher_set_active),
	(gs_grab_get_keyboard), (gs_grab_get_mouse),
	(gs_grab_keyboard_reset), (gs_grab_release_keyboard),
	(gs_grab_mouse_reset), (gs_grab_release_mouse),
	(gs_grab_move_mouse), (gs_grab_move_keyboard), (gs_grab_release),
	(gs_grab_grab_window), (gs_grab_grab_root),
	(gs_grab_grab_offscreen), (gs_grab_move_to_window),
	(gs_grab_class_init), (gs_grab_init), (gs_grab_finalize),
	(gs_grab_new):
	* src/gs-grab.h:
	Turn grab stuff into a singleton class.

	* src/gs-manager.c: (gs_manager_init), (gs_manager_finalize),
	(window_dialog_up_cb), (window_dialog_down_cb),
	(manager_maybe_grab_window), (window_grab_broken_cb),
	(gs_manager_activate), (gs_manager_deactivate):
	* src/test-window.c: (window_show_cb), (window_destroyed_cb),
	(main):
	Update for grab API.

	* src/gs-monitor.c: (release_grab_timeout),
	(watcher_idle_notice_cb), (gs_monitor_init), (gs_monitor_finalize):
	Try to do a grab before the idle notice fade-out.  There are two
	reasons for this.  First, this prevents the user from thinking that
	the screen is locked and typing a password which will go into an
	underlying window.  Second, if the grab doesn't succeed then there
	is an excellent chance that locking will not succeed either - so we
	shouldn't fade at all.  This prevents fade-outs while playing games.

	Also delay releasing the grab for a second to help even more with
	typing passwords.

2006-06-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (gs_manager_get_lock_active):
	* src/gs-manager.h: Add get_lock_active to API.

	* src/gs-monitor.c: (listener_lock_cb): Set lock flag
	before activing screensaver to avoid problems when
	something reacts to the ActiveChanged signal.

	Patch from Rodrigo Moya <rodrigo@novell.com>

2006-05-31  William Jon McCann  <mccann@jhu.edu>

	* configure.ac (themesdir): Fix typo.

	Patch from  Paul Blazejowski <paulb@blazebox.homeip.net>
	Fixes #343497

2006-05-31  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (gs_manager_deactivate): 
	Don't set throttle to FALSE when deactivating.

2006-05-31  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (row_activated_cb), (setup_treeview):
	Switch user on row activation.

	Fixes #343045

2006-05-30  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: (start_fade), (update_display),
	(gste_slideshow_real_configure), (gste_slideshow_finalize):
	Use an image buffer to fix performance problem.

	Patch from L. David Baron <dbaron@dbaron.org>
	Fixes #339090

2006-05-28  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* data/gnome-screensaver-preferences.glade:
	* src/gnome-screensaver-preferences.c: (config_get_activate_delay),
	(check_is_root_user), (setup_for_root_user), (init_capplet):
	If the preferences dialog is run as root then disable the lock
	checkbox and print a warning.

	Fixes #343118.

2006-05-24  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c: (gste_slideshow_real_configure):
	Add profile message for configure events.

2006-05-24  William Jon McCann  <mccann@jhu.edu>

	* savers/gs-theme-engine.[ch]: (_gs_theme_engine_profile_log):
	Add some profiling API.

	* savers/gste-slideshow.c: (push_load_image_func),
	(start_new_load), (start_fade), (finish_fade), (update_display),
	(process_new_pixbuf):
	Use profiling API.  Can be used by:
	strace -ttt -f -o /tmp/logfile.strace ./slideshow
	python plot-timeline.py -o prettygraph.png /tmp/logfile.strace

2006-05-24  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-slideshow.c:
	Cache the result of gdk_cairo_set_source_pixbuf as a pattern to
	avoid calling it for each iteration of a fade.
	Fixes #339090

	* savers/gste-slideshow.c (draw_iter):
	Make the fade effect linear by computing delta to use for alpha2.

	Patch from L. David Baron <dbaron@dbaron.org>

	* savers/gste-slideshow.c: Fix conditionals to test for NULL
	explicitly.  Add braces.

2006-05-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_real_motion_notify_event):
	Increase minimum distance the mouse must move to detect the
	motion from 10 to 50 pixels.

2006-05-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (get_env_vars): Add RUNNING_UNDER_GDM
	to env var whitelist.  Found in downstream Ubuntu patches.

2006-05-18  William Jon McCann  <mccann@jhu.edu>

	* data/lock-dialog-default.glade:
	* src/gs-lock-plug.c: (expand_string), (expand_string_for_label),
	(create_page_one), (load_theme), (gs_lock_plug_init):
	Use tokens in the lock dialog theme glade file to be
	replaced with actual values.  This allows one to format
	the label (including size) in the glade file.  The
	replacement tokens are mostly compatible with the
	GDM ones.  For now we support:

	%d		DISPLAY
	%h		hostname
	%m		machine hardware name
	%n		node name
	%r		kernel release
	%R		user's real name
	%s		system name
	%U		username

	The default lock dialog theme uses:

	auth_realname_label = "<span size=\"x-large\">%R</span>"
	auth_username_label = "<span size=\"small\">%U on %h</span>"

	Fixes #341408

2006-05-16  William Jon McCann  <mccann@jhu.edu>

	* doc/DBUS-API.txt: Use session idle in examples.

2006-05-15  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump

==== 2.15.2 ====

2006-05-15  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.15.2 release.

2006-05-15  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Bump intltool req.

2006-05-15  William Jon McCann  <mccann@jhu.edu>

	* savers/gs-theme-engine.c: (gs_theme_engine_clear),
	(gs_theme_engine_get_window_size):
	* savers/gste-popsquares.c: (hsv_to_rgb), (rgb_to_hsv),
	(make_color_ramp), (randomize_square_colors), (setup_squares),
	(setup_colors), (gste_popsquares_real_show),
	(gste_popsquares_real_expose), (gste_popsquares_real_configure),
	(draw_iter):
	Guard against using a null window.  Fixup brace style.

	Based on patch from Joe Marcus Clarke <marcus@freebsd.org>
	Fixes #341699

2006-05-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (get_user_name), (load_theme),
	(gs_lock_plug_init):
	Add a short (ie. just username without hostname) field
	for themes to use.

	Patch from Matthias Clasen <mclasen@redhat.com>
	Fixes #341408

2006-05-10  William Jon McCann  <mccann@jhu.edu>

	* src/gs-fade.c: (gs_fade_finish):
	* src/gs-fade.h:  Expose gs_fade_finish as public.
	
	* src/gs-manager.c: (manager_maybe_start_job_for_window),
	(fade_done_cb), (gs_manager_activate), (gs_manager_request_unlock):
	Set a flag while async fading is active.  If a request is seen
	while fading is active then explicitly finish the fade.  Don't
	try to start a job if the dialog is alread up or the job is
	already active.
	
	* src/gs-window-x11.c: (gs_window_clear),
	(gs_window_request_unlock):
	Check that window is visible before doing stuff.

	Fixes #341276

2006-05-02  William Jon McCann  <mccann@jhu.edu>

	* doc/DBUS-API.txt: Add API doc for bug #333290

2006-05-01  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* src/Makefile.am:
	* src/gs-monitor.c: (listener_active_changed_cb),
	(listener_poke_cb), (_gs_monitor_update_from_prefs),
	(gs_monitor_init), (gs_monitor_finalize):
	* src/gs-power-x11.c:
	* src/gs-power.h:
	* src/gs-prefs.c: (gs_prefs_load_from_gconf), (key_changed_cb),
	(gs_prefs_init):
	* src/gs-prefs.h:
	Remove DPMS stuff from CVS.

2006-04-28  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: (gs_manager_set_lock_active),
	(activate_lock_timeout), (manager_show_window):
	Don't explicitly deactivate the lock when showing windows.
	The active flag will be reset when the manager is deactivated.

2006-04-27  William Jon McCann  <mccann@jhu.edu>

	* src/gs-fade.c: (gs_fade_out_iter), (gs_fade_stop),
	(gs_fade_finish), (fade_out_timer), (gs_fade_set_timeout),
	(gs_fade_start), (gs_fade_async_callback), (gs_fade_async),
	(gs_fade_sync_callback), (gs_fade_sync), (gs_fade_reset),
	(gs_fade_init):
	* src/gs-fade.h:
	* src/gs-manager.c: (gs_manager_init), (gs_manager_finalize),
	(unfade_idle), (remove_unfade_idle), (add_unfade_idle),
	(manager_show_window), (fade_done_cb), (gs_manager_activate):
	* src/gs-monitor.c: (watcher_idle_notice_cb):
	* src/test-fade.c: (test_fade):
	Create a real async API for fading.  Don't set the alpha
	based on an absolute scale because this causes it to be
	reset when a new fade is started on top of an existing one.
	Fixes #333180

2006-04-26  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c: (send_dbus_void_signal),
	(gs_listener_emit_auth_request_begin),
	(gs_listener_emit_auth_request_end):
	* src/gs-listener-dbus.h:
	* src/gs-manager.c: (gs_manager_class_init), (window_dialog_up_cb),
	(window_dialog_down_cb):
	* src/gs-manager.h:
	* src/gs-monitor.c: (manager_auth_request_begin_cb),
	(manager_auth_request_end_cb), (disconnect_manager_signals),
	(connect_manager_signals):
	Send signals before and after authentication is requested
	so that gnome-power-manager can undim the screen.
	See bug #333290.

2006-04-26  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c: (maybe_request_unlock),
	(gs_window_real_key_press_event),
	(gs_window_real_motion_notify_event),
	(gs_window_real_button_press_event), (gs_window_real_scroll_event),
	(gs_window_class_init):
	Make button presses and scroll events request an unlock.

2006-04-26  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (gs_lock_plug_close),
	(gs_lock_plug_class_init), (delete_handler),
	(gs_lock_plug_init):
	* src/gs-lock-plug.h:
	Make Escape cancel the unlock dialog.

2006-04-25  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* src/cut-n-paste/fusa-manager.c: (fusa_manager_class_init),
	(strv_equals_string_table), (get_gdm_minimal_uid),
	(merge_gdm_exclusions), (get_gdm_exclude),
	(get_gdm_global_face_dir), (get_gdm_user_max_file),
	(get_gdm_allow_root), (get_gdm_max_icon_size), (reload_gdm_config),
	(display_closure_free), (dm_op_threadfunc):
	* src/cut-n-paste/fusa-user-menu-item.c:
	(fusa_user_menu_item_class_init), (fusa_user_menu_item_init),
	(fusa_user_menu_item_expose_event),
	(fusa_user_menu_item_size_request), (user_displays_changed_cb),
	(reset_icon):
	* src/cut-n-paste/gdmcomm.c: (gdmcomm_get_error_message):
	* src/cut-n-paste/gdmcomm.h:
	Sync with FUSA.  Updated for new GDM configuration system.

2006-04-25  William Jon McCann  <mccann@jhu.edu>

	* src/gs-grab-x11.c: (gs_grab_get_mouse):
	Don't leak cursor on failure.
	
	* src/gs-listener-dbus.c: (listener_service_deleted):
	Fix typo.

2006-04-24  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.15.1 ====

2006-04-24  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.15.1 release

2006-04-24  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: (gs_lock_plug_init):
	Connect caps lock warning to toplevel instead
	of entry box.

	Fixes #338372

2006-04-24  William Jon McCann  <mccann@jhu.edu>

	* savers/gs-theme-window.c: (gs_theme_window_real_realize):
	Don't unset flags on window.

	Patch from Dan Winship <danw@novell.com>
	Fixes #338246

2006-04-24  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* data/Makefile.am:
	* data/gnome-screensaver.directory.in:
	* data/gnome-screensavers.menu.in:
	* savers/Makefile.am:
	Use ${datadir}/applications/screensavers for themes
	instead of ${datadir}/gnome-screensaver/themes.

	Fixes #325070

2006-04-24  William Jon McCann  <mccann@jhu.edu>

	* src/gs-fade.c: (xf86_whack_gamma), (check_gamma_extension),
	(gamma_info_init), (gamma_info_free), (gs_fade_now):
	Add braces and debugging.

2006-04-24  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* po/LINGUAS: Use po/linguas guidelines.

	Patch from Przemys©aw Grzegorczyk <pgrzegorczyk@gmail.com>
	Fixes #339165

2006-04-21  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-command.c: (do_command):
	Remove throttle options because they don't work.  A throttle
	request must be removed when a program leaves the bus and
	the gnome-screensaver-command doesn't stay on the bus.
	
2006-04-21  William Jon McCann  <mccann@jhu.edu>

	* doc/DBUS-API.txt: Updated for new throttle and inhibit API.
	
	* src/gs-listener-dbus.h:
	* src/gs-listener-dbus.c: (gs_listener_ref_entry_free),
	(get_name_for_entry_type), (get_hash_for_entry_type),
	(list_ref_entry), (listener_ref_entry_is_present),
	(listener_check_activation), (gs_listener_set_throttle),
	(listener_check_throttle), (gs_listener_set_active),
	(gs_listener_set_session_idle), (gs_listener_is_inhibited),
	(listener_property_set_bool), (generate_cookie),
	(listener_generate_unique_key), (listener_ref_entry_check),
	(listener_add_ref_entry), (listener_remove_ref_entry),
	(listener_dbus_add_ref_entry), (listener_dbus_remove_ref_entry),
	(listener_ref_entry_has_connection),
	(listener_ref_entry_remove_for_connection),
	(listener_service_deleted), (listener_get_property),
	(listener_get_session_idle_time),
	(listener_dbus_filter_handle_methods), (gs_listener_set_property),
	(gs_listener_get_property), (gs_listener_class_init),
	(gs_listener_init), (gs_listener_finalize):
	Change throttle and inhibit API to do reference counting.  The
	way we had it before we only kept track of one inhibitor per
	connection.  This doesn't work when connections are shared.
	Also create a cookie for each request to be able to track it.
	Make the throttle and inhibit methods share code.
	And don't clear the throttle state when changing activation.

	* src/gs-manager.c: (throttle_job), (gs_manager_set_throttled),
	(gs_manager_cycle), (gs_manager_set_property),
	(gs_manager_get_property), (gs_manager_class_init),
	(window_dialog_up_cb), (window_dialog_down_cb),
	(manager_maybe_start_job_for_window), (gs_manager_deactivate):
	Don't use the term enabled with respect to throttling.

	* src/gs-monitor.c: (listener_throttle_changed_cb),
	(power_changed_cb), (disconnect_listener_signals),
	(connect_listener_signals):
	Update for new signals.

	Fixes #334907 and probably #338814

2006-04-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (gs_watcher_init): Shorten
	pointer poll interval to one second.

2006-04-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-visual-gl.c: (gs_visual_gl_get_best):
	* src/gs-watcher-x11.c: (notice_events_inner), (notice_events),
	(init_mit_saver_extension):
	* src/gs-window-x11.c: (clear_children), (clear_all_children),
	(select_popup_events):
	Use gdk_error_trap_* instead of homegrown.

2006-04-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-visual-gl.c: (gs_visual_gl_get_best),
	(gs_visual_gl_widget_set_best_colormap):
	Try to trap X errors.

2006-04-12  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade:
	Try using "regard" and "computer".

2006-04-12  William Jon McCann  <mccann@jhu.edu>

	* configure.ac:
	* data/gnome-screensaver-preferences.glade:
	* src/Makefile.am:
	* src/gnome-screensaver-preferences.c: (init_capplet):
	* src/gs-visual-gl.c: (gs_visual_gl_get_best),
	(gs_visual_gl_get_best_colormap),
	(gs_visual_gl_widget_set_best_colormap):
	* src/gs-visual-gl.h:
	* src/gs-window-x11.c: (gs_window_real_realize):

	Optionally depend on GL.  Try to get the optimal
	visual to use with GL theme engines.  Get the
	colormap for this visual and set it as colormap
	for the windows to use.  Should fix #332463.

2006-04-11  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c: (time_to_string_text):
	Remove unneeded and buggy i18n string.

	Patch from Benoît Dejean <benoit@placenet.org>
	Fixes #337701

2006-04-11  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Add glade dependency.
	* data/Makefile.am: Install dialog glade file.
	* data/gnome-screensaver.schemas.in: Add dialog theme key.
	* data/lock-dialog-default.glade: New file.
	* src/gs-lock-plug.c: (gs_lock_plug_style_set), (do_user_switch),
	(switch_user_response), (set_status_text), (set_dialog_sensitive),
	(gs_lock_plug_response), (capslock_update),
	(gs_lock_plug_size_request), (gs_lock_plug_set_logout_enabled),
	(gs_lock_plug_set_switch_enabled), (password_reset_idle_cb),
	(password_check_idle_cb), (switch_page), (gs_lock_plug_add_button),
	(populate_model), (setup_treeview), (set_face_image),
	(create_page_one_buttons), (create_page_two_buttons),
	(create_page_one), (constrain_list_size), (create_page_two),
	(unlock_button_clicked), (cancel_button_clicked),
	(switch_user_button_clicked), (get_dialog_theme_name),
	(load_theme), (gs_lock_plug_init):
	* src/gs-lock-plug.h: Rework the lock dialog to allow theming.

	Based on patch from Matthias Clasen <mclasen@redhat.com>
	Fixes #324086

2006-04-10  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade:
	Use lowercase for "theme".

2006-04-10  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade:
	Small HIG fix.

	Patch from Dennis Cranston <dennis_cranston@yahoo.com>
	Fixes #331330

2006-04-10  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (gs_job_set_widget): Restart job when
	target widget is changed.

	* data/gnome-screensaver-preferences.glade: 
	* src/gnome-screensaver-preferences.c:
	Add a fullscreen preview.  Also try to constrain theme list
	so that at least a few are visible at once.

	Based on patch from Emmanuel Rodriguez <emmanuel.rodriquez@gmail.com>
	Fixes #329246

2006-04-10  William Jon McCann  <mccann@jhu.edu>

	* po/LINGUAS: New file listing all supported languages.

	* configure.ac: Use po/LINGUAS instead of including all languages
	directly in this file. See the wiki for more information:
	http://live.gnome.org/GnomeGoals/PoLinguas

	Patch from Brian Pepple  <bdpepple@gmail.com>
	Fixes #337961

2006-04-10  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Bump version to 2.15.1 after branching.

2006-04-10  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.14.1 ====

2006-04-10  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.14.1 release

2006-04-10  Artur Flinta  <aflinta@cvs.gnome.org>

	* configure.ac: Added pl (Polish) to ALL_LINGUAS.

2006-04-05  Pema Geyleg  <pema.geyleg@gmail.com>

	* configure.ac: Added dz (Dzongkha) to ALL_LINGUAS.

2006-04-04  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (compare_theme_names) 
	(compare_theme, setup_treeview_selection): Fix leaks.

	Patch from Emmanuel Rodriguez <emmanuel.rodriquez@gmail.com>
	Fixes #336800

2006-04-04  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-command.c (main):
	Don't ignore unknown options.

2006-04-04  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (notice_events_inner, gs_watcher_xevent):
	Watch for user time changes on windows to detect
	mouse button events.

	Patch from Ray Strode <rstrode@redhat.com>
	Fixes #335831

2006-04-04  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (check_for_clock_skew):
	Make sure to reset emergency lock flag.

	Patch from Ray Strode <rstrode@redhat.com>
	Fixes #332576

2006-03-31  William Jon McCann  <mccann@jhu.edu>

	* savers/floaters.c (screen_saver_on_size_allocate) 
	(screen_saver_on_expose_event): Move creation of floaters
	and therefore defining the start position to expose.

	Fixes #331194

2006-03-31  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (get_env_vars): Add "KRB5CCNAME" and
	"KRBTKFILE" to the list of allowed environment variables.
	Pulled from RH bug #187341.

2006-03-30  William Jon McCann  <mccann@jhu.edu>

	* savers/Makefile.am:
	* src/Makefile.am:
	Cygwin build fix.

	Patch from <yselkowitz@users.sourceforge.net>
	Fixes #336672.

2006-03-30  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (reset_timers, start_idle_watcher) 
	(stop_idle_watcher, gs_watcher_init, gs_watcher_finalize) 
	(maybe_send_signal, check_for_clock_skew) 
	(_gs_watcher_check_pointer_position):
	Use GTimer instead of using time().

2005-03-27  Nikos Charonitakis  <nikosx@gmail.com>

	* cofigure.ac: Added missing Greek (el) to ALL_LINGUAS

2006-03-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (maybe_send_signal):
	Add debug when doing emergency lock.

2006-03-20  Vladimer Sichinava  <vlsichinava@gmail.com>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-03-16  William Jon McCann  <mccann@jhu.edu>

	* src/passwd-pam.c (pam_passwd_valid): Call pam_acct_mgmt.
	Braces.
	(pam_priv_init, pam_conversation): Braces.

	Fixes #333411.

2006-03-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c (listener_add_inhibitor) 
	(listener_remove_inhibitor): Add debug output
	for adding/removing inhibitors.

2006-03-13  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.14.0 ====

2006-03-13  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.14.0 release

2006-03-13  Erdal Ronahi <erdal.ronahi@gmail.com>

	* configure.ac: Added Kurdish (ku) to ALL_LINGUAS.

2006-03-13  Runa Bhattacharjee <runa@bengalinux.org>

	* configure.ac: Added Bengali (bn) to ALL_LINGUAS.

2006-03-11  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.ac: Added Portuguese (pt) to ALL_LINGUAS.

2006-03-10 Rajesh Ranjan <rranjan@redhat.com>

	* configure.ac: Added "hi" (Hindi) to ALL_LINGUAS

2006-03-09 Arangel Angov <ufo@linux.net.mk>

	* configure.ac: Added "mk" (Macedonian) to ALL_LINGUAS

2006-03-09  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.schemas.in: Remove
	unused DPMS keys.  Fixes #333919.

2006-03-08  Lasse Bang Mikkelsen  <lbm@fatalerror.dk>

	* configure.ac: Added "da" (Danish) to ALL_LINGUAS.

2006-03-08  Rhys Jones  <rhys@sucs.org>

	* configure.ac: Added 'cy' (Welsh) to ALL_LINGUAS.

2006-03-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (queue_key_event): Don't
	queue keypad enter presses.  Fixes #333340

2006-03-03  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (create_page_one): Use large
	black circle for invisible character in password entry.
	Fixes #333287

2006-03-03  William Jon McCann  <mccann@jhu.edu>

	* src/test-watcher.c (connect_watcher_signals, watcher_idle_cb):
	Use correct signal.

2006-02-27  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.13.92 ====

2006-02-27  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.13.92 release

2006-02-27  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (setup_treeview_selection) 
	(key_changed_cb): Monitor theme gconf key changes.
	Fixes #332750

2006-02-24  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade:  Reverted
	part of last patch since it changes a string.

2006-02-15  Dennis Cranston <dennis_cranston@yahoo.com>

	* data/gnome-screensaver-preferences.glade:  Small HIG fixes
	for recent layout changes.  Fixes #331330
	
2006-02-24  William Jon McCann  <mccann@jhu.edu>

	* doc/DBUS-API.txt: 
	* src/gnome-screensaver-command.c (do_command): 
	* src/gs-listener-dbus.c (listener_dbus_filter_handle_methods):
	Capitalize action method names to be consistent with
	all other DBUS methods.

2006-02-24  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (create_page_one): 
	Use black bullet as entry instead of default '*'.
	Fixes #332053.
	
2006-02-21  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (manager_cycle_jobs, manager_throttle_jobs) 
	(manager_resume_jobs, manager_suspend_jobs, manager_stop_jobs) 
	(manager_add_job_for_window, manager_maybe_start_job_for_window):
	Make sure jobs are defined before iterating over them.

2006-02-21  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (create_page_one):
	Add code to set invisible char.

2006-02-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (gs_watcher_reset): Braces.
	(_gs_watcher_set_session_idle_notice) 
	(_gs_watcher_set_session_idle): Indicate what
	happened in the debug statement.
	(_gs_watcher_notice_activity): Use debug instead of
	warning.
	(gs_watcher_set_active):  Ditto.
	(maybe_send_signal): Ditto.  Always stop the idle
	notice after an idle signal.  Actually do a _reset()
	if the idle signal isn't handled.
	(schedule_wakeup_event): Use debug instead of warning.

	* src/gs-monitor.c (listener_lock_cb): Use gs-debug
	instead of warning so it shows up in log.
	(listener_active_changed_cb): Simplify.  Only
	change watcher status if the manager activation
	is successful.

	* src/gs-listener-dbus.c (listener_check_activation):
	Only return FALSE if should activate and failed.
	(gs_listener_set_active): Use a gs_debug instead
	of a warning so that it shows up in log file.
	Use set_session_idle_internal so it bypasses checks.
	(gs_listener_set_session_idle): Use gs_debug
	instead of warning.  Fail if should activate
	and activation fails.
	(raise_error, raise_property_type_error, listener_set_property) 
	(gs_listener_message_handler, listener_dbus_filter_function) 
	(screensaver_is_running, gs_listener_acquire) 
	(gs_listener_finalize): Add braces.

	* src/gs-grab-x11.c (gs_grab_get_keyboard_and_mouse):
	Add braces.

	This fixes a problem when activation is repeatedly
	blocked by something that has the keyboard grabbed.

2006-02-17  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.pc.in:
	Add missing libexecdir.

2006-02-17  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.pc.in:
	* data/Makefile.am:
	* data/.cvsignore: 
	* configure.ac:
	Add a pkg-config file so applications can determine
	theme paths and things.

	Fixes #331560

2006-02-17  William Jon McCann  <mccann@jhu.edu>

	* savers/floaters.c (main): Try more to
	fix translations.

2006-02-17  William Jon McCann  <mccann@jhu.edu>

	* savers/slideshow.c (main): 
	* savers/popsquares.c (main): 
	* savers/Makefile.am: Try to fix translation
	of command line help #331515.

2006-02-15  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (get_user_on_host_name):
	Elaborated on message to translators as
	suggested by Danilo Segan.

2006-02-14  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.13.91 ====

2006-02-14  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.13.91 release

2006-02-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (get_user_on_host_name, create_page_one):
	Display "username on host" string instead of just "username".

	* data/gnome-screensaver-preferences.glade:
	Don't make the screensaver label bold or indent
	the rest of the dialog under it.

	Fixes #331185

2006-02-14  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c (main):
	Add explicit check for error after gtk_init fails.

2006-02-14  William Jon McCann  <mccann@jhu.edu>

	* savers/floaters.c (screen_saver_floater_update_state) 
	(screen_saver_get_image_cache_usage) 
	(screen_saver_on_expose_event):
	Some more performance work.

	Patch from Ray Strode <rstrode@redhat.com>
	Fixes part of #331145

2006-02-14  William Jon McCann  <mccann@jhu.edu>

	* data/images/gnome-logo-white.svg: Updated
	foot logo.

	Fixes #331090

2006-02-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-fade.c (gamma_info_init): Don't
	abort when fade type is none.

2006-02-14  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (main): 
	* src/Makefile.am (INCLUDES): Add stuff required for help.

	* src/gnome-screensaver-preferences.c (response_cb):
	Show help.

	* data/gnome-screensaver-preferences.glade: Add help
	button back.

	Fixes #331011

2006-02-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (manager_add_job_for_window, cycle_job) 
	(manager_cycle_jobs, throttle_job, manager_throttle_jobs) 
	(resume_job, manager_resume_jobs, suspend_job) 
	(manager_suspend_jobs, manager_stop_jobs) 
	(gs_manager_set_throttle_enabled, gs_manager_cycle, remove_job) 
	(gs_manager_finalize, window_dialog_up_cb, window_dialog_down_cb) 
	(manager_maybe_start_job_for_window): Make jobs a hash.  Simplify
	the way we handle jobs and make it possible to lookup a job by
	window pointer.  This allows us to separate the creation and
	starting of jobs.
	(window_map_event_cb): Move the grabbing back to map-event
	and only start jobs after grabbing.
	(manager_show_window, window_show_cb): Create jobs in show
	but wait until map-event to start them.
	(remove_job, gs_manager_activate, gs_manager_deactivate):
	Create/destroy jobs hash.

	* src/gs-grab-x11.c (gs_grab_window): Flush events.

2006-02-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (spawn_on_widget): Remove unused variable.

2006-02-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-grab-x11.c (gs_grab_move_keyboard):
	Don't print grab window id if not set.

2006-02-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (manager_maybe_grab_window) 
	(window_grab_broken_cb): If the grab is broken,
	invalidate the saved grab window and try to grab back.
	(window_map_cb): Use map signal instead of map_event signal
	because the map_event was occurring after the show event.  When
	this happens the theme is started before the window is grabbed.
	If the theme does its own grab then we may not get ours.
	(window_unmap_cb): Connect to unmap for debugging.

	* src/gs-grab-x11.c (gs_grab_keyboard_reset, gs_grab_mouse_reset):
	New functions to clear saved grab window when grab is broken.
	(gs_grab_release_keyboard, gs_grab_release_mouse): Use new functions.
	(gs_grab_move_mouse): Add extra check for broken grab.

	Fixes #328404

2006-02-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (connect_window_signals): Run
	map-event and show handlers after the default handlers.

2006-02-10  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c (get_id_string): 
	* src/gs-window-x11.c (command_watch):
	Use G_GUINT32_FORMAT for communicating XID
	instead of %x.

2006-02-07  William Jon McCann  <mccann@jhu.edu>

	* src/gs-debug.h: Fix gcc 2.95 warnings.

	Patch from Jens Granseuer <gensgr@gmx.net>
	Fixes #329738.

2006-02-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_real_grab_broken) 
	(gs_window_class_init): Add handler for broken
	grabs.  Debug only for now.

2006-02-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (get_user_display_name, get_user_name):
	Add a NULL check.

2006-02-01  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c: 
	* src/gs-lock-plug.c: Fix brace style.
	Fix one minor leak.

2006-02-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (get_user_display_name, get_user_name) 
	(create_page_one): Convert the user and real names to UTF8
	before displaying them.

2006-02-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (window_dialog_up_cb):
	Release the pointer grab only when the unlock
	dialog goes up.  This is necessary so that the
	user can interact with the dialog with the mouse.
	(window_dialog_down_cb): When the dialog goes
	away regrab the pointer.

	* src/gs-grab-x11.c (gs_grab_release_mouse):
	Make public.
	(gs_grab_move_mouse): Allow the pointer grab
	to be moved.  Add debugging.
	(gs_grab_get_keyboard_and_mouse): Don't
	release the mouse grab.

	Until now we didn't try to keep a grab on the pointer
	because the unlock dialog doesn't work when the
	pointer is grabbed on the parent of the socket.  This
	may cause a problem if another application grabs
	the pointer while we are running.  So, now we
	keep the pointer grabbed except for when the unlock
	dialog is up.  Hopefully fixes #328404.

2006-01-31  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (command_watch): Add braces
	to block.

2006-01-31  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_class_init):
	Fix typo in property desc.

2006-01-30  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.13.90 ====

2006-01-30  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.13.90 release

2006-01-23  William Jon McCann  <mccann@jhu.edu>

	* savers/floaters.c (screen_saver_new, screen_saver_free):
	Cap rate of updates to twice the hardcoded optimal frame rate.

	Patch from Ray Strode <rstrode@redhat.com>
	Fixes #328212.

2006-01-21  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (get_env_vars, spawn_on_window): 
	* src/gs-job.c (get_env_vars, spawn_on_widget):
	Break out environment passing into function.

2006-01-21  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c: 
	* src/gs-window-x11.c: Braces.

	* src/gs-job.c (find_command, get_themes_tree, wait_on_child) 
	(gs_job_set_theme): Braces.
	(nice_process): Add debug.
	(spawn_on_widget, gs_job_start, gs_job_suspend): Braces.

2006-01-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (spawn_on_window): 
	* src/gs-job.c (spawn_on_widget):
	Inherit cwd from parent.

2006-01-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_real_realize) 
	(gs_window_real_show): Clear window after show
	instead of realize.  Fixes #327125.

2006-01-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (x11_window_is_ours, gs_window_xevent):
	Ignore our windows when watching for map and configure events.

2006-01-17  William Jon McCann  <mccann@jhu.edu>

	* savers/popsquares.desktop.in: 
	* savers/personal-slideshow.desktop.in: 
	* savers/footlogo-floaters.desktop.in: 
	* savers/cosmos-slideshow.desktop.in.in:
	Add missing ; to end of Categories.

	Patch from <leroutier@gmail.com>

2006-01-16  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 2.13.5 ====

2006-01-16  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 2.13.5 release

2006-01-16  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Bump version to match GNOME 2.13.5.

2006-01-16  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (watcher_idle_notice_cb): Only cancel
	the fade if the manager isn't active.  In that case the
	manager will handle fading.  Yuck.
	(_gs_monitor_update_from_prefs): Use get_active.

	* src/gs-manager.c (gs_manager_activate): set active
	flag before doing fade_now since that interates the
	main loop.
	(gs_manager_get_active): Rename.

	Fixes #327125.

2006-01-15  William Jon McCann  <mccann@jhu.edu>

	* doc/DBUS-API.txt: Add dbus-monitor examples.

2006-01-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-prefs.c (_gs_prefs_set_idle_activation_enabled) 
	(gs_prefs_load_from_gconf, key_changed_cb, gs_prefs_init):
	Use the new activate when idle key.  Rename activate_delay.

	* src/gs-monitor.c (_gs_monitor_update_from_prefs):
	Use the new activate when idle key.

	* data/gnome-screensaver-preferences.glade: 
	* src/gnome-screensaver-preferences.c (config_get_mode) 
	(config_set_mode, config_get_theme, config_set_theme) 
	(config_get_enabled, config_set_enabled, preview_set_theme) 
	(populate_model, enabled_checkbox_toggled, invalid_type_warning) 
	(ui_set_lock, ui_set_enabled, ui_set_delay, key_changed_cb) 
	(init_capplet): Decouple the screensaver disable setting
	from the theme list.  This is important because it should
	be possible to not activate on idle but also select the
	themes that will be used when explicitly activated or locked.
	Also reword the label for the delay slider since it is
	used to determine when the session is idle even when the
	screensaver activation is disabled.

	* data/gnome-screensaver.schemas.in: Split out activate
	when idle option from the mode option.  Rename activate_delay.

	Fixes #327008.

2006-01-14  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (preview_set_theme):
	Don't make the idle delay insensitive when the screensaver
	activation is disabled.  It should still be used to
	detect idleness.

2006-01-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (watcher_idle_notice_cb): 
	* src/gs-listener-dbus.[ch] (gs_listener_is_inhibited):
	Don't do the slow fade if we are inhibited.

2006-01-12  William Jon McCann  <mccann@jhu.edu>

	* src/gs-grab-x11.c (xorg_lock_smasher_set_active) 
	(gs_grab_window, gs_grab_release_keyboard_and_mouse):
	Try to disable the grab smasher whenever we try to
	grab a window.  Reenable the grab smasher when
	we are done with all grabs.
	(gs_grab_move_mouse, gs_grab_move_keyboard) 
	(gs_grab_release_keyboard_and_mouse): Add some
	more debug statements.

	* configure.ac: Check for XF86MiscSetGrabKeysState.
	Change comment style.

	Fixes #326663.

2006-01-12  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Fix the cvs more warnings test.

2006-01-11  William Jon McCann  <mccann@jhu.edu>

	* src/test-window.c (main): 
	* src/test-watcher.c (main): 
	* src/test-fade.c (main): 
	* src/gnome-screensaver.c (main): Update for
	debug change.
	
	* src/gs-debug.[ch] (gs_debug_real, gs_debug_init) 
	(gs_debug_shutdown): Add ability to send
	debugging to a file so it can be used when
	in daemon mode.

2006-01-11  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade: Remove
	help button until we offer help.

2006-01-10  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c (raise_property_type_error): 
	* src/gnome-screensaver-command.c: 
	* doc/DBUS-API.txt:
	Rename the DBUS service from screensaver to ScreenSaver.

2006-01-09  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (gs_manager_set_throttle_enabled): Only
	restart jobs if dialog isn't up.
	(window_dialog_down_cb): Restart jobs if not running.

	* src/gs-job.[ch] (gs_job_is_running): New public.

2006-01-09  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (_gs_watcher_check_pointer_position):
	Free the position if we don't save it.

2006-01-09  William Jon McCann  <mccann@jhu.edu>

	* src/gs-prefs.c (gs_prefs_init): Disable DPMS here too.

	* src/gs-monitor.c (listener_active_changed_cb, listener_poke_cb) 
	(power_changed_cb, _gs_monitor_update_from_prefs) 
	(disconnect_power_signals, connect_power_signals) 
	(gs_monitor_init, gs_monitor_finalize): Disable all
	DPMS functionality.  It has moved to gnome-power-manager.

2006-01-07  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.ac: Add "zh_HK" to ALL_LINGUAS.

2006-01-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher.h: 
	* src/gs-power.h: 
	* src/gs-fade.h: Add missing G_END_DECLS.

2006-01-05  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.24 ====

2006-01-05  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.24 release

2006-01-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c (gs_listener_set_active): Fix
	warning message.

	* src/gs-monitor.c (gs_monitor_start): Don't
	need to set active state to FALSE at start.

2006-01-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (clear_children, clear_all_children) 
	(gs_window_clear): Clear all children of the toplevel
	window.  This is needed when a screensaver theme engine
	adds children.
	(gs_window_raise, gs_window_dialog_finish, command_watch) 
	(popup_dialog_idle, gs_window_request_unlock): Add debugging.

	* src/gs-manager.c (window_dialog_up_cb): Add debugging.

	* savers/gs-theme-engine.c (gs_theme_engine_clear):
	Fix the initialization of the GdkColor.

2006-01-04  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_size_request):
	(create_page_one): Revert last change.  The
	vertically oriented and centered one looks much better.

2006-01-03  Slobodan D. Sredojevic  <ssl@uns.ns.ac.yu>

	* configure.ac: Added 'sr' and 'sr@Latn' to ALL_LINGUAS

2006-01-03  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_size_request):
	Don't constrain aspect ratio.
	(create_page_one): Try using a more tabular layout
	again.  Based on mock up from Luca Ferretti.

2006-01-03  William Jon McCann  <mccann@jhu.edu>

	* doc/DBUS-API.txt: Document D-Bus API changes.

	* src/gs-watcher-x11.c (gs_watcher_class_init) 
	(_gs_watcher_set_session_idle_notice) 
	(_gs_watcher_set_session_idle, _gs_watcher_notice_activity) 
	(maybe_send_signal): Make idle and idle_notice internal states
	and change signals to indicate changes in these states.

	* src/gs-monitor.c (watcher_idle_cb, watcher_idle_notice_cb)
	(_gs_monitor_update_from_prefs, disconnect_watcher_signals)
	(connect_watcher_signals): Don't disable the watcher when
	screensaver is disabled.  Always handle idle signals and let
	listener object manage the activation policy.

	* src/gs-listener-dbus.[ch] (gs_listener_send_signal_session_idle_changed)
	(listener_is_inhibited, listener_check_activation) 
	(listener_set_session_idle_internal) 
	(listener_set_active_internal, gs_listener_set_active) 
	(gs_listener_set_session_idle) 
	(gs_listener_get_activation_enabled) 
	(gs_listener_set_activation_enabled, listener_property_set_bool) 
	(listener_get_property, listener_get_session_idle_time) 
	(listener_dbus_filter_handle_methods, gs_listener_set_property) 
	(gs_listener_get_property, gs_listener_class_init):
	Add back proper session idle capability.  Manage activation
	enabled policy.

2006-01-02  Josep Puigdemont i CasamajÃ³  <josep.puigdemont@gmail.com>

	* configure.ac: Added "ca" to ALL_LINGUAS.

2005-12-30  William Jon McCann  <mccann@jhu.edu>

	* savers/footlogo-floaters.desktop.in.in:
	Mark fields for translation.

	Patch from Luca Ferretti <elle.uca@libero.it>
	Fixes #325075.

2005-12-19  William Jon McCann  <mccann@jhu.edu>

	* savers/slideshow.c (main): 
	* savers/popsquares.c (main): Connect to
	window delete signal.

2005-12-19  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_clear): 
	* savers/gs-theme-engine.c (gs_theme_engine_clear):
	Clear all window states.

	* savers/slideshow.c (main): 
	* savers/gste-slideshow.[ch]: 
	* savers/Makefile.am: Convert slideshow
	to GSThemeEngine and GSThemeWindow.

2005-12-19  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.23 ====

2005-12-19  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.23 release
	* savers/Makefile.am (EXTRA_DIST): Add marshal.list
	* savers/popsquares.c (main): Fix compiler warning.
	* data/images/Makefile.am (EXTRA_DIST): Add images.

2005-12-19  Ankit Patel  <ankit644@yahoo.com>

        * configure.ac: Added "gu" to ALL_LINGUAS.

2005-12-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (get_face_image): 
	* src/gnome-screensaver-dialog.c (print_id): Fix leaks.

	Patch from Kjartan Maraas <kmaraas@gnome.org>
	Fixes #324445.
	
2005-12-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c (listener_dbus_filter_handle_methods) 
	(gs_listener_set_idle, gs_listener_set_active) 
	(listener_get_active_time):
	Remove getIdle method because it is confusing and not so useful.
	The screensaver isn't idle it may be active but this depends
	on whether there are inhibitors.  Change getIdleTime to
	getActiveTime for similar reasons.
	(listener_check_activation): Return TRUE if activated.

	* doc/DBUS-API.txt: Updated for getIdleTime -> getActiveTime
	and removed getIdle method.

	* src/gs-listener-dbus.c (listener_get_idle_time): Fix get idle
	time reporting.  Patch from Jaap A. Haitsma <jaap@haitsma.org>.

2005-12-17  William Jon McCann  <mccann@jhu.edu>

	* src/gs-power-x11.c (x11_set_mode):
	Fix build when DPMS is disabled.

	Fixes #324348.

2005-12-17  William Jon McCann  <mccann@jhu.edu>

	* TODO: Fix typo.

	* src/gs-monitor.c (watcher_idle_cb):
	Stop fade after going idle instead of before.

2005-12-16  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c (listener_check_activation):
	Only list inhibitors if they exist.

2005-12-16  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (disable_builtin_screensaver) 
	(check_for_clock_skew, _gs_watcher_check_pointer_position):
	Use variables to make more readable.

2005-12-16  William Jon McCann  <mccann@jhu.edu>

	* src/gs-power-x11.c (x11_sync_server_dpms_settings) 
	(sync_settings, gs_power_init): 
	* src/gs-listener-dbus.c (list_inhibitors): 
	* src/gs-grab-x11.c (gs_grab_get_keyboard, gs_grab_get_mouse) 
	(gs_grab_release_keyboard, gs_grab_release_mouse) 
	(gs_grab_nuke_focus): 
	* src/gs-fade.c (gs_fade_set_active): Use gs-debug.

	* src/Makefile.am (gnome_screensaver_dialog_SOURCES): Remove
	gs-grab from dialog sources.

2005-12-16  William Jon McCann  <mccann@jhu.edu>

	* src/test-watcher.c (main): 
	* src/test-window.c (main): 
	* src/test-fade.c (main): use gs-debug

	* src/gs-watcher-x11.c (gs_watcher_set_property) 
	(gs_watcher_get_property, gs_watcher_class_init) 
	(notice_events_inner, notice_events, notice_events_timer) 
	(remove_idle_timer, add_idle_timer, reset_timers) 
	(_gs_watcher_notice_activity, _gs_watcher_notice_window_created) 
	(_gs_watcher_set_active_internal, gs_watcher_set_active) 
	(gs_watcher_init, init_sgi_saver_extension) 
	(initialize_server_extensions):
	Remove the debug object property and the verbose private
	boolean.  Convert g_messages to gs_debugs.

	* src/gs-window-x11.c: 
	* src/gs-monitor.c: 
	* src/gs-manager.c: Add gs-debug.h for
	later use.

	* src/gnome-screensaver.c (main): Add --debug
	option.  Init debugging code.

	* src/gs-debug.[ch]:
	* src/Makefile.am: Add debugging code.  Based
	on rb-debug.

2005-12-16  Abel Cheung  <maddog@linuxhall.org>

	* configure.ac: Added "nl" "vi" to ALL_LINGUAS.

2005-12-15  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (_gs_watcher_set_active_internal):
	New function that bypasses the safety checks that
	were in gs_watcher_set_active.  One of those safety
	checks causes the function to fail if the watcher
	isn't "enabled".  This is a problem since set_enabled(FALSE)
	needs to set_active(FALSE).
	(gs_watcher_set_active): Use _set_active_internal.
	(gs_watcher_set_enabled): Removed g_message.
	Use _set_active_internal.
	(maybe_send_signal): Add a safety check that fails
	if already active.  Correct the sense of the logic
	used for the idle notification signal.  Only set
	notice_sent if the signal was handled.

	* src/gs-monitor.c (_gs_monitor_update_from_prefs):
	Use booleans to simplify condition in an if.

	* src/gs-manager.c (select_theme): Remove a warning
	that isn't really a warning.

	* src/gs-fade.c (gs_fade_set_active):
	Added commented out debug thingy.

2005-12-14  William Jon McCann  <mccann@jhu.edu>

	* savers/footlogo-floaters.desktop.in.in: 
	* savers/floaters.c: 
	* savers/Makefile.am: Add new theme engine from
	the Red Hat Desktop Team.

	* data/images/gnome-logo-white.svg: 
	* data/images/Makefile.am:
	* configure.ac: Add GNOME logo image (permission pending).

2005-12-14  William Jon McCann  <mccann@jhu.edu>

	* savers/popsquares.c (main): use gs-theme-window.

	* savers/gste-popsquares.c: Updated for new theme-engine.

	* savers/gs-theme-engine.c: Derive from GtkDrawingArea.

	* savers/gs-theme-window.[ch]: New toplevel
	window widget wrapper from Ray Strode.

	* savers/Makefile.am: add new files.

2005-12-14  William Jon McCann  <mccann@jhu.edu>

	* savers/gste-popsquares.[ch]: New popsquares class
	that derives from GSThemeEngine class.

	* savers/gs-theme-engine.[ch]: New base class
	for screensaver theme engines.

	* savers/popsquares.c (main): Now just a shell
	around GSTEPopsquares object.

	* savers/Makefile.am: Add new theme engine stuff.

	* savers/.cvsignore: Add marshal files.

2005-12-13  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.22 ====

2005-12-13  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.22 release

2005-12-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (notice_events_inner): Don't override
	existing event mask for root window.  This is important when the
	window == GDK_ROOT_WINDOW () since the mask will contain
	StructureNotifyMask that is essential for RANDR support.

	Fixes #323980.

2005-12-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (listener_active_changed_cb): Only
	activate watcher if enabled.

2005-12-06  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.21 ====

2005-12-06  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.21 release

2005-12-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (gs_watcher_init): Checking
	pointer every 2 sec should be enough.

2005-12-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (_gs_watcher_notice_activity):
	Don't notice activity if we aren't active (and print
	a warning).

2005-12-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (watcher_idle_cb): Stop "notice" fading
	on idle.

2005-11-29  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am (test_window_LDADD): Add SAVER_LIBS.

	Patch from Damien Carbery <damien.carbery@sun.com>
	Fixes part of #320501.

2005-11-29  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (gs_watcher_class_init) 
	(_gs_watcher_notice_activity, gs_watcher_init, maybe_send_signal) 
	(schedule_wakeup_event): Add idle-notice and notice-cancelled
	signals.  idle-notice fires off 10 secs before idle.  notice-cancelled
	fires off if an idle-notice has been sent and activity was seen
	before idle is sent.

	* src/gs-monitor.c (watcher_idle_notice_cb) 
	(watcher_notice_cancelled_cb, disconnect_watcher_signals) 
	(connect_watcher_signals, gs_monitor_init, gs_monitor_finalize):
	Fade in response to idle-notice from watcher.

	* src/gs-manager.c (gs_manager_activate): Set timeout for fade.

	Fixes #309142.

2005-11-29  William Jon McCann  <mccann@jhu.edu>

	* src/gs-fade.c: New singleton class to
	do asynchronous fading.

	* src/test-fade.c (test_fade, main): 
	* src/gs-manager.c (gs_manager_activate): 
	* src/Makefile.am: Use GSFade.

2005-11-28  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_xevent):
	Also raise the window on ConfigureNofify for stacking
	order changes.  Fixes #322146.

2005-11-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Added 'gl' to ALL_LINGUAS.

2005-11-27  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.ac: Added "th" (Thai) to ALL_LINGUAS.

2005-11-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_xevent, xevent_filter) 
	(select_popup_events, gs_window_real_show):
	Last try didn't work since we didn't select those
	events.  Use select MapNotify on root window instead.

2005-11-22  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_raise, gs_window_xevent) 
	(gs_window_real_show, gs_window_real_hide):
	Add a gdk event filter to look for expose events while
	the screensaver windows are up.  If we see one that means
	that a window has been mapped on top of one of these windows.
	When that occurs we raise the window.
	Fixes #322146.

2005-11-22  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (_gs_watcher_set_debug) 
	(gs_watcher_set_property, gs_watcher_get_property) 
	(gs_watcher_class_init): Add a debug object property.

	* src/test-watcher.c: 
	* src/Makefile.am: Add unit test for watcher.

2005-11-22  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am: One more place.

2005-11-22  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c: 
	* src/gs-monitor.c: 
	* src/gs-watcher.h: Renamed gs-watcher-x11.h to gs-watcher.h.

2005-11-20  Amanpreet Singh Alam <amanpreetalam@yahoo.com>

	* configure.ac: Add Punjabi (pa) to ALL_LINGUAS 

2005-11-17  Marcel Telka  <marcel@telka.sk>

	* configure.ac (ALL_LINGUAS): Added sk.

2005-11-15  William Jon McCann  <mccann@jhu.edu>

	* AUTHORS: Not much left of that...

2005-11-15  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.20 ====

2005-11-15  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.20 release

2005-11-15  William Jon McCann  <mccann@jhu.edu>

	* src/fade.c (fade_screens_default): Make sure
	we show the windows when xorg gamma fading fails.
	Fixes #321546.

2005-11-14  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.19 ====

2005-11-14  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.19 release

2005-11-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_response):
	Use enum for page number.
	(constrain_list_size): Skip if showing auth page.
	Fixes #319888.

2005-11-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (constrain_list_size):
	Use at most 1/4 of screen.

2005-11-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (constrain_list_size) 
	(setup_list_size_constraint, create_page_two):
	First cut at makeing more space for user list.
	Bug #319888.

2005-11-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_size_request):
	Allow for a wider dialog.  Also check for too wide
	dialog.
	(create_page_one): Removed unused system name stuff.
	Put a placeholder label widget in the dialog when the
	face image is not available.
	(gs_lock_plug_init): Make the dialog vertically centered.

2005-11-14  William Jon McCann  <mccann@jhu.edu>

	* src/test-window.c (window_show_cb, window_destroyed_cb): 
	* src/Makefile.am:
	Grab keyboard so test window can get user input.

2005-11-14  William Jon McCann  <mccann@jhu.edu>

	* src/cut-n-paste/fusa-user-menu-item.[ch]: 
	* src/cut-n-paste/fusa-user.[ch]:
	* src/cut-n-paste/fusa-manager.[ch]:
	Sync with FUSA HEAD.

	* src/gs-lock-plug.c (user_displays_changed_cb, populate_model):
	FUSA API changes.

2005-11-14  William Jon McCann  <mccann@jhu.edu>

	* src/fade.c (xf86_gamma_fade): Add small delay
	after mapping window and before resetting gamma
	to avoid flicker.
	(ignore_all_errors_ehandler, safe_XF86VidModeQueryVersion) 
	(xf86_whack_gamma): Rename variable and use
	gdk_flush().

2005-11-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_new):
	Make window OverrideRedirect.

	Patch from Ray Strode <rstrode@redhat.com>
	Fixes #321194.

2005-11-08  William Jon McCann  <mccann@jhu.edu>

	* src/.cvsignore: 
	* src/test-window.c: 
	* src/Makefile.am: Add unit test for window.  Tests
	window and dialog functionality.

2005-11-08  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_dialog_finish) 
	(remove_command_watch, gs_window_finalize):
	Signal and wait on child in finalize.

	* src/gs-job.c (remove_command_watch, gs_job_stop):
	Use routines for GSource stuff.

2005-11-08  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (remove_watchdog_timer, add_watchdog_timer) 
	(remove_popup_dialog_idle, add_popup_dialog_idle) 
	(remove_request_unlock_idle, add_request_unlock_idle) 
	(emit_deactivated_idle, add_emit_deactivated_idle) 
	(gs_window_real_show, gs_window_real_hide, command_watch) 
	(gs_window_request_unlock, gs_window_real_key_press_event) 
	(gs_window_real_motion_notify_event, gs_window_finalize): 

	* src/gs-watcher-x11.c (remove_idle_timer, add_idle_timer) 
	(remove_watchdog_timer, add_watchdog_timer, reset_timers) 
	(remove_check_pointer_timer, add_check_pointer_timer) 
	(start_pointer_poll, stop_pointer_poll, start_idle_watcher) 
	(stop_idle_watcher, gs_watcher_init, gs_watcher_finalize) 
	(schedule_wakeup_event): 

	* src/gs-power-x11.c (remove_poll_timer, add_poll_timer) 
	(gs_power_init, gs_power_finalize): 

	* src/gs-manager.c (remove_lock_timer, add_lock_timer) 
	(gs_manager_set_lock_timeout, remove_cycle_timer) 
	(add_cycle_timer, gs_manager_set_cycle_timeout, remove_timers) 
	(window_show_cb): 

	Use routines to contain all GSource access so they are easier
	to track and manage.
	
2005-11-04  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (remove_monitor_idle) 
	(remove_password_check_idle, remove_password_reset_idle) 
	(remove_response_idle, gs_lock_plug_response, monitor_progress) 
	(restart_monitor_progress, password_reset_idle_cb) 
	(password_check_idle_cb, gs_lock_plug_finalize):
	Create routines for removing timeout callbacks.  Reset
	the dialog instead of cancelling it when an invalid
	password is entered.  Fixes #320440.

2005-11-03  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c (gs_listener_finalize):
	Don't unref dbus connection since it doesn't seem
	to work.

	* src/gs-monitor.c (listener_active_changed_cb):
	Only change watcher state if watching is enabled.
	(_gs_monitor_update_from_prefs): Change watcher enabled
	policy from GConf.  Special case for making watcher active.

	* src/gs-watcher-x11.c (gs_watcher_set_timeout):
	Only reset timers if the timeout value has changed.
	(gs_watcher_reset): Only restart if enabled.
	(gs_watcher_set_active): Display warning if not enabled.
	(gs_watcher_set_enabled, gs_watcher_get_enabled, gs_watcher_init):
	Add enabled policy to be used for disabling idle watching.

2005-11-03  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_real_unrealize) 
	(socket_destroyed, gs_window_class_init):
	Disconnect signal handlers.

	* src/gs-monitor.c (disconnect_listener_signals) 
	(connect_listener_signals, disconnect_watcher_signals) 
	(connect_watcher_signals, disconnect_manager_signals) 
	(connect_manager_signals, disconnect_power_signals) 
	(connect_power_signals, disconnect_prefs_signals) 
	(connect_prefs_signals, gs_monitor_init, gs_monitor_finalize):
	Create symmetric functions for connecting and disconnecting
	signal handlers.  Also unref power object.

	* src/gs-manager.c (disconnect_window_signals) 
	(window_destroyed_cb, connect_window_signals) 
	(gs_manager_create_window): Disconnect window
	signal handlers when window is destroyed.

2005-11-03  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Don't explicitly require
	libxml since it is no longer used directly.

2005-11-03  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.18 ====

2005-11-03  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.18 release

2005-11-03  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Add xinerama and xext into
	SAVER_LIBS instead of X_EXTRA_LIBS.  Should
	fix part of #320501.

2005-11-03  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (gs_manager_activate): Fade in
	two seconds instead of three.

	* src/gs-lock-plug.c (switch_user_response) 
	(get_user_display_label, user_displays_changed_cb) 
	(populate_model, compare_users, filter_out_users, setup_treeview) 
	(create_page_one, create_page_two):
	Add a field to the user list model to be used as the
	user visible markup for the list.  Rename the other
	columns to distinguish them.  Don't make the
	user list heading text big.  Also display the username
	in the user list.

	Based on patch from Luca Ferretti.

2005-11-03  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Solaris requires libresolv for daemon().

2005-11-02  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Require gobject for gnome-screensaver-command.
	Add librt for sigtimedwait to AUTH_LIBS if necessary.
	* src/Makefile.am: Add SAVER_LIBS to dialog.

	Based on patch from Damien Carbery <damien.carbery@sun.com>
	Fixes part of #320501.

2005-10-28  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (gs_watcher_init):
	Turn debugging off.

2005-10-28  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (_gs_monitor_update_from_prefs): Switch
	order of watcher operations.

	* src/gs-manager.c (show_windows, gs_manager_activate):
	Add back a stub for not doing the fade to black.

	* src/gs-watcher-x11.c (notice_events_inner): Make sure kids is
	initialized to NULL.  Print debug message.
	(notice_events_timer, start_notice_events_timer): Use a
	structure to pass information to the timeout callback
	so that we can pass the debug flag into the notice_events
	functions.  Write the skeleton code for when we actually
	convert this to be an actual timeout callback.
	(_gs_watcher_notice_activity, _gs_watcher_notice_window_created):
	Abstract the handling of activity.
	(gs_watcher_xevent): New function to handle xevents.
	(xevent_filter): Use an event filter instead of snooping
	on the X11 socket.
	(gs_watcher_reset): Add an internal active state.
	(notice_events_inner, notice_events, notice_events_timer) 
	(stop_notice_events, start_notice_events_timer) 
	(stop_idle_watcher): Add a method to stop noticing events
	on all windows.
	(gs_watcher_get_active): Add public API to get active state.
	(start_pointer_poll, _gs_watcher_pointer_position_free) 
	(_gs_watcher_set_pointer_position, stop_pointer_poll) 
	(start_idle_watcher): Rework how pointer polling is done.
	(gs_watcher_set_active): Warn if trying to set active
	when already active (or inactive)
	(gs_watcher_init): Initialize active state.  Move some
	stuff here from _new().
	(gs_watcher_finalize): Invalidate active state.  Free
	pointer poll data.
	(_gs_watcher_pointer_position_read) 
	(_gs_watcher_pointer_position_compare) 
	(_gs_watcher_check_pointer_position, check_pointer_timer):
	New mouse polling method.
	(gs_watcher_new): Removed stuff.  Don't activate the
	idle watcher at creation.

	All this rework should fix problems with leaking X resources.

2005-10-28  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (find_info_for_id, gs_job_get_theme_info_list):
	Unref the root directory.
	(add_known_engine_locations_to_path): Only add the the
	known locations to the path once or else we leak like hell.
	(get_themes_tree): Make the gmenu-tree a static global so
	that we don't have to recreate it with every job.  This is
	more efficient and safer in case the tree leaks say, FAM
	fds.  Also strip out all the logic for rescanning dirs.
	(gs_job_lookup_theme_info, gs_job_get_theme_info_list):
	Use get_themes_tree.
	(gs_job_init): Don't add the known locations to the path
	here.  Add them the one type we instantiate a gmenu-tree.
	(gs_job_finalize): Removed unreffing of gmenu-tree.

2005-10-28  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (spawn_on_window): 
	* src/gs-job.c (spawn_on_widget): Check for
	command parsing errors.

2005-10-27  William Jon McCann  <mccann@jhu.edu>

	* src/gs-prefs.c (key_error_and_free, gs_prefs_load_from_gconf) 
	(invalid_type_warning, key_changed_cb): Do error checking
	on key types just to be safe.

2005-10-27  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (KEY_LOCK): Fix
	the name of the lock_enabled key.

	* src/gs-prefs.c (_gs_prefs_set_timeout) 
	(_gs_prefs_set_lock_timeout, _gs_prefs_set_cycle_timeout) 
	(_gs_prefs_set_mode, _gs_prefs_set_themes) 
	(_gs_prefs_set_lock_enabled, _gs_prefs_set_dpms_enabled) 
	(_gs_prefs_set_dpms_standby_timeout) 
	(_gs_prefs_set_dpms_suspend_timeout) 
	(_gs_prefs_set_dpms_off_timeout, _gs_prefs_set_logout_enabled) 
	(_gs_prefs_set_logout_command, _gs_prefs_set_logout_timeout) 
	(_gs_prefs_set_user_switch_enabled, gs_prefs_load_from_gconf) 
	(key_changed_cb): Decouple changing settings.  Fix up
	some of the bounds checking and add reasonable upper bounds.

2005-10-27  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c (send_dbus_message) 
	(gs_listener_send_signal_active_changed) 
	(gs_listener_send_signal_throttle_enabled_changed) 
	(gs_listener_dbus_init, reinit_dbus) 
	(listener_dbus_filter_function, gs_listener_acquire) 
	(gs_listener_init, gs_listener_finalize):
	Invalidate the bus connection if it breaks.  Make a
	futile attempt to reconnect or at least make a
	lot of noise.  Make sure connection is available
	before trying to send signals over it.  Unref
	the connection in finalize.

2005-10-26  William Jon McCann  <mccann@jhu.edu>

	* src/test-passwd.c (privileged_initialization): 
	* src/gs-watcher-x11.c: 
	* src/gs-grab-x11.c (gs_grab_get_keyboard_and_mouse): 
	* src/gnome-screensaver-dialog.c:
	Don't refer to xscreensaver in comments.

2005-10-26  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.[ch] (emit_deactivated_idle, command_watch) 
	(gs_window_request_unlock, gs_window_class_init): 
	* src/gs-monitor.c (manager_deactivated_cb) 
	(listener_active_changed_cb, gs_monitor_init): 
	* src/gs-manager.[ch] (gs_manager_class_init) 
	(window_deactivated_idle, window_deactivated_cb) 
	(gs_manager_create_window, gs_manager_deactivate) 
	(gs_manager_set_active):
	Let's stick with English words.  How embarassing.  Thank goodness
	no one noticed.

2005-10-25  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c:
	* src/gs-lock-plug.c:
	* src/gs-monitor.c:
	* src/gs-power-x11.c:
	Fix more potential warnings.  The Intel compiler doesn't like to
	see a semi-colon after G_DEFINE_TYPE.
	
2005-10-25  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (check_pointer_timer, reset_timers): 
	* src/gs-window-x11.c: 
	* src/gs-prefs.c (gs_prefs_set_property, gs_prefs_get_property): 
	* src/gs-power-x11.c (gs_power_set_property) 
	(gs_power_get_property): 
	* src/gs-manager.c: 
	* src/gs-lock-plug.c (get_face_image, create_page_one): 
	* src/gs-listener-dbus.c (listener_property_set_bool) 
	(listener_add_inhibitor, listener_remove_inhibitor) 
	(listener_get_property, listener_get_idle_time): 
	* src/gs-job.c: 
	* src/gnome-screensaver-preferences.c (theme_installer_run): 
	* src/gnome-screensaver-command.c: 
	* src/file-transfer-dialog.c (file_transfer_dialog_update_num_files): 
	* savers/slideshow.c (get_pixbuf_from_location):
	Fix Intel compiler warnings.  Seems it doesn't like
	unused code.  Patch from Kjartan Maraas <kmaraas@broadpark.no>

2005-10-24  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.17 ====

2005-10-24  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.17 release

2005-10-22  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (emit_disactivated_idle, command_watch) 
	(gs_window_request_unlock, gs_window_class_init):
	Change blank -> activate to be consistent.

	* src/gs-watcher-x11.c (gs_watcher_set_active): 
	* src/gs-power-x11.c (gs_power_set_active): Return a boolean
	to indicate if the command was successful.

	* src/gs-monitor.c (listener_lock_cb): Check return value of
	gs_listener_set_active.
	(listener_active_changed_cb): Check return values to make
	sure we can activate the windows.  If the windows can't
	be activated then return FALSE to indicate that the
	the activation state change was not successful.  The
	window activation can fail if the keyboard cannot be
	grabbed.  In this case we don't change activation state
	and we will try again after another idle cycle.
	(gs_monitor_init): 

	* src/gs-manager.[ch] (gs_manager_set_lock_timeout) 
	(gs_manager_cycle, gs_manager_set_cycle_timeout) 
	(gs_manager_get_property, gs_manager_class_init, remove_timers) 
	(gs_manager_finalize, window_disactivated_idle) 
	(window_disactivated_cb, window_show_cb) 
	(gs_manager_create_window, gs_manager_activate) 
	(gs_manager_disactivate, gs_manager_set_active) 
	(gs_manager_is_active, gs_manager_request_unlock):
	Change blank -> activate to be consistent.

	* src/gs-listener-dbus.c (gs_listener_set_active):
	Change to return a boolean to indicate if the command
	was successful.
	(gs_listener_set_idle): Print a warning if failing
	because idle is already set.
	(gs_listener_class_init): Change active changed signal
	to take a return value in order to detect if signal
	was handled completely.

	* src/.cvsignore: 
	* src/Makefile.am: Rename marshal list.

2005-10-22  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (config_get_activate_delay) 
	(config_set_activate_delay, config_set_theme) 
	(activate_delay_value_changed_cb, init_capplet): 
	* data/gnome-screensaver-preferences.glade:
	Update for blank -> activate schema change a while back.

2005-10-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (get_face_image, create_page_one):
	Don't use stock_person since doesn't represent
	anyone and it is fuzzy.  Fixes #317886.

2005-10-17  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am (INCLUDES): Added
	-DG_LOG_DOMAIN.

	* src/gnome-screensaver.c (main): Daemonize
	by default and add an option not to.

2005-10-17  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am: 
	* configure.ac: Add all X extension libraries
	to SAVER_LIBS.  Remove unused code.

2005-10-13  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver: Remove deprecated pam_stack.

2005-10-12  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.16 ====

2005-10-12  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.16 release.

2005-10-12  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (command_watch) 
	(gs_window_real_motion_notify_event, gs_window_class_init):
	Only notice motion of 10 pixels or more.  Fixes #318693.

2005-10-12  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.schemas.in: 
	* src/gs-window-x11.c (is_logout_enabled, popup_dialog_idle) 
	(gs_window_set_logout_command, gs_window_set_property) 
	(gs_window_get_property, gs_window_finalize) 
	(gs_window_class_init): 
	* src/gs-prefs.c (gs_prefs_load_from_gconf, key_changed_cb) 
	(gs_prefs_finalize): 
	* src/gs-monitor.c (_gs_monitor_update_from_prefs): 
	* src/gs-manager.c (gs_manager_set_logout_command) 
	(gs_manager_set_property, gs_manager_get_property) 
	(gs_manager_class_init, gs_manager_finalize) 
	(gs_manager_create_window): 
	* src/gs-lock-plug.c (gs_lock_plug_set_logout_command) 
	(gs_lock_plug_set_property, gs_lock_plug_get_property) 
	(gs_lock_plug_class_init, logout_button_clicked) 
	(gs_lock_plug_init, gs_lock_plug_finalize): 
	* src/gnome-screensaver-dialog.c (popup_dialog_idle):
	Make the logout command a gconf setting.

2005-10-12  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (shake_dialog): Put in a usleep
	so that it looks like a shake and not a rattle on fast systems.
	Increase the amplitude of the shake a little bit.

	* src/gs-lock-plug.c (password_check_idle_cb, monitor_progress):
	Some user testing shows that we need a little bit more time to read
	the error messages.

	* src/gs-window-x11.c (plug_removed, shake_dialog):
	Invalidate alignment widget when it is removed and
	don't use it if it is invalid.

	* src/gs-lock-plug.c (set_dialog_sensitive) 
	(gs_lock_plug_response, monitor_progress):
	Make action area insensitive when no more input
	is allowed.

2005-10-11  William Jon McCann  <mccann@jhu.edu>

	* data/images/cosmos/CREDITS: 
	* data/images/cosmos/Makefile.am (images_DATA):
	Add file to list image credits and source locations.

2005-10-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (shake_dialog, command_watch): 
	* src/gs-lock-plug.c (password_check_idle_cb):
	Implement a very rudimentary dialog shake animation when
	an authentication attempt fails.  Fixes #318128.

2005-10-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (entry_key_press): Don't handle keypresses
	manually since it now results in duplicate responses.

2005-10-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-prefs.[ch] (gs_prefs_init): Clean out unused stuff.

2005-10-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-prefs.[ch] (gs_prefs_load_from_gconf, key_changed_cb): 
	* src/gs-monitor.c (_gs_monitor_update_from_prefs): 
	* data/gnome-screensaver.schemas.in: Rename gconf lock key to
	lock_enabled and blank_delay to activate_delay so that we
	use consistent terminology.

2005-10-10  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c (_gs_lock_plug_profile_log): 
	* src/gs-lock-plug.c (_gs_lock_plug_profile_log):
	Switch back to relying on strace for profiling instead of
	using printf.

2005-10-10  William Jon McCann  <mccann@jhu.edu>

	* savers/slideshow.c (do_event): 
	* savers/popsquares.c (do_event): Quit on
	delete event.

2005-10-10  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (initialize_server_extensions): Remove
	unused variable.

	* src/gs-window-x11.c (watchdog_timer, gs_window_real_show) 
	(gs_window_real_hide, gs_window_class_init, gs_window_finalize):
	Add a watchdog timer to raise the window in case some other
	window gets mapped on top of it.

2005-10-10  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (spawn_on_window): 
	* src/gs-job.c (check_command): Free string array.

	* savers/slideshow.c (scale_pixbuf): Skip images smaller than 256
	px since they are probably thumbnails.

2005-10-06  William Jon McCann  <mccann@jhu.edu>

	* data/Makefile.am: Dist the xscreensaver config
	conversion script.

2005-10-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_size_request) 
	(gs_lock_plug_class_init): Force the unlock
	dialog to always be wider than it is tall.  This
	should ensure there is enough space for the
	text entry and makes for a more pleasing aspect ratio.

2005-10-06  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.schemas.in:
	Rework the gconf key descriptions.

	Patch from Luca Ferretti <elle.uca@libero.it>
	Fixes #318100

2005-10-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (initialize_server_extensions) 
	(check_pointer_timer): 
	* configure.ac:
	Remove all /proc/interrupts stuff.  It wasn't
	working anyway.  Fixes #318071

2005-10-06  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Less commentary and
	remove motif stuff.

2005-10-05  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.15 ====

2005-10-05  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.15 release.
	* src/Makefile.am (gnome_screensaver_SOURCES):
	Fix name of header file.

2005-10-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (get_ok_button_for_page) 
	(get_switch_button_for_page): Don't use N_().

	* src/gnome-screensaver-command.c (main):
	Use setlocale so that messages are translated.

2005-10-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (listener_poke_cb): 
	* src/gs-manager.[ch] (gs_manager_request_unlock):
	Make poking the screensaver from DBus work
	even when the screen is blanked.  So, in all
	cases poking should simulate user activity.

2005-10-05  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am: 
	* src/gs-watcher-x11.c (gs_watcher_class_init): 
	* src/gs-watcher-marshal.list:
	* src/gs-monitor.c (watcher_idle_cb): 
	* src/.cvsignore: Use a custom marshaller.

2005-10-04  Å½ygimantas BeruÄka  <zygis@gnome.org>

	* configure.ac: Added 'lt' to ALL_LINGUAS.

2005-10-04  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (queue_key_event):
	Don't forward space or enter to dialog if they
	are the first chars pressed.  Fixes #317890.

2005-10-04  William Jon McCann  <mccann@jhu.edu>

	* src/gs-power.h:
	* src/gs-power-x11.h: New files to handle power
	management.
	
	* src/gs-watcher-x11.[ch]: Rip out all the DPMS stuff.

	* src/gs-monitor.c (listener_active_changed_cb):
	Activate power management when screen blanks.
	(power_changed_cb): When monitor power turns off
	throttle the themes.
	(_gs_monitor_update_from_prefs): Consolidate
	updating from preferences into a single function.
	(gs_monitor_init): Add power management.

	* src/dpms.[ch]: Removed.
	* src/Makefile.am: Add new files.

	* data/gnome-screensaver.schemas.in: Shorten DPMS
	timeout values.

2005-10-03  William Jon McCann  <mccann@jhu.edu>

	* doc/.cvsignore: Actually add the file.

2005-09-30  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (initialize_server_extensions):
	Less editorial.
	(watchdog_timer, gs_watcher_set_dpms): Don't
	unconditionally set DPMS verbose.

2005-09-30  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.ac: Add Norwegian bokmÃ¥l to ALL_LINGUAS.

2005-09-30  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (spawn_on_widget): 
	* src/gs-window-x11.c (spawn_on_window): Pass LANG and
	LANGUAGE environment variables to the child process.

	* savers/Makefile.am: 
	* src/Makefile.am:
	* data/Makefile.am (install-data-local): Use tabs.

	* src/gnome-screensaver-command.c (main): Initialize
	gettext stuff.

	* src/gnome-screensaver-preferences.c (populate_model):
	Mark screensaver modes for translation.

	* data/gnome-screensaver-preferences.desktop.in:
	Add StartupNotify.

2005-09-28  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (password_check_idle_cb, monitor_progress):
	Rework status messages.

	* doc/.cvsignore: Add files.

2005-09-28  William Jon McCann  <mccann@jhu.edu>

	* src/.cvsignore: 
	* src/fade.[ch]:
	* src/test-fade.c: Add support for fading
	to and from black.  Only gamma fading is
	implemented at the moment.  Fixes #316656.
	
	* src/gs-manager.c (gs_manager_blank): Fade
	out before showing windows.

	* src/Makefile.am: Add new files.

2005-09-26  William Jon McCann  <mccann@jhu.edu>

	* doc/Makefile.am: Add docs to EXTRA_DIST

	* configure.ac: Add docs/Makefile

2005-09-26  William Jon McCann  <mccann@jhu.edu>

	* doc/DBUS-API.txt: Added getIdle and getIdleTime.

	* src/gs-listener-dbus.c (listener_get_idle_time) 
	(gs_listener_set_active, gs_listener_set_idle) 
	(listener_dbus_filter_handle_methods):
	Add getIdleTime dbus method.

2005-09-26  William Jon McCann  <mccann@jhu.edu>

	* doc/DBUS-API.txt: 
	* doc/Makefile.am: 
	* Makefile.am (SUBDIRS): Add some docs.

2005-09-26  William Jon McCann  <mccann@jhu.edu>

	* savers/slideshow.c (get_exif_orientation) 
	(pixbuf_copy_rotate_90, pixbuf_copy_mirror) 
	(update_from_exif_data, get_pixbuf_from_local_dir): 

	* configure.ac: Add optional libexif dep for
	theme engines.

	Based on patch from <torkel@acc.umu.se>.
	Fixes #316463.

2005-09-23  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

	* NEWS: Fix misplaced news items.

==== 0.0.14 ====

2005-09-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (popup_dialog_idle): Fix warning.

	* savers/Makefile.am (EXTRA_DIST): Include .desktop.in files.
	Cleanup .desktop files.

	* NEWS: Update for 0.0.14 release.

2005-09-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (spawn_on_widget): Only set XAUTHORITY in
	child it is set in parent.

2005-09-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (setup_treeview): Only setup
	the user list if switching is enabled.

2005-09-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (notice_events_inner, notice_events) 
	(notice_events_timer): Never bypass the BadWindow error
	handler when noticing new windows.

2005-09-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (is_user_switch_enabled, popup_dialog_idle) 
	(gs_window_set_user_switch_enabled): 
	* src/gs-prefs.c (gs_prefs_load_from_gconf, key_changed_cb) 
	(gs_prefs_init): 
	* src/gs-monitor.c (prefs_changed_cb, gs_monitor_init): 
	* src/gs-manager.[ch] (gs_manager_set_user_switch_enabled) 
	(gs_manager_set_property, gs_manager_get_property) 
	(gs_manager_class_init, gs_manager_create_window):
	Add and use a gconf setting to enable the user-switching
	feature.  Note that now user-switching is off by default.
	To enable it set /apps/gnome-screensaver/user_switch_enabled
	to TRUE.

	* src/gnome-screensaver-dialog.c: Add command line option
	enable-switch

	Patches from Matthias Clasen <mclasen@redhat.com>
	Fixes #316906
	
2005-09-23  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Fix the logic so that --with-gdm-config=no works.

2005-09-22  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (set_status_text, gs_lock_plug_response) 
	(monitor_progress, gs_lock_plug_init): Remove progress bar.
	(get_ok_button_for_page, get_switch_button_for_page): Remove
	icons from buttons.
	(switch_page): Restart timer when switching page.  Don't
	show Unlock button on user switch page.
	(check_user_file, get_face_image, create_page_one): Put
	user face image on dialog, make centered, etc.
	(create_page_two): Remove stock_people icon.  Increase
	the size of the user icons in list.

	Some usability changes suggested by mpt.

2005-09-22  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (window_show_cb): Don't set theme search
	path.

	* src/gs-job.[ch] (gs_job_theme_info_ref, gs_job_theme_info_unref) 
	(gs_job_theme_info_get_id, gs_job_theme_info_get_name) 
	(gs_job_theme_info_new_from_gmenu_tree_entry, find_info_for_id) 
	(gs_job_lookup_theme_info, theme_prepend_entry, make_theme_list) 
	(gs_job_get_theme_info_list, gs_job_init, gs_job_finalize) 
	(gs_job_set_theme, spawn_on_widget, gs_job_start): Use
	gnome-menu to construct a theme list.  Remove all traces of
	theme search path.  Remove XML configuration parsing.

	* src/gnome-screensaver-preferences.c (get_all_theme_ids) 
	(config_set_theme, preview_set_theme, get_theme_info_list) 
	(populate_model, tree_selection_changed_cb, compare_theme) 
	(setup_treeview, setup_treeview_selection, init_capplet):
	Use new themes info API.

	* src/Makefile.am: Use libgnome-menu.
	
	* savers/popsquares.desktop.in: 
	* savers/personal-slideshow.desktop.in: 
	* savers/cosmos-slideshow.desktop.in.in: 
	* savers/Makefile.am: 
	* savers/.cvsignore: Use desktop files to define
	screensaver themes

	* data/migrate-xscreensaver-config.sh:
	* data/xscreensaver-config.xsl: Script that can be
	used to convert xscreensaver .xml configuration files
	to .desktop files.

	* data/gnome-screensavers.menu.in: 
	* data/gnome-screensaver.directory.in: 
	* data/Makefile.am:
	* data/.cvsignore: New files to define menu entries

	* configure.ac: Require libgnome-menu

	Use the cross desktop menu spec for finding themes.
	Fixes #316472.

2005-09-22  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (forward_key_events, remove_key_events) 
	(socket_show, gs_window_dialog_finish, queue_key_event) 
	(gs_window_real_key_press_event, gs_window_finalize):
	Queue up key press events before the unlock dialog
	is shown and replay them as soon as it is visible.
	Fixes #316558.
	(gs_window_real_key_press_event) 
	(gs_window_real_motion_notify_event): Don't try to
	request an unlock if there is already a socket since
	this means that a dialog has already been requested.

2005-09-19  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (switch_page): Remove workaround
	for bug #172998.
	(populate_model): Do gnome-vfs init if necessary.
	(create_page_one, create_page_two, create_buttons) 
	(gs_lock_plug_init): Split out functions to
	make it easier to profile.

	* src/gnome-screensaver-dialog.c (main): Move
	gnome-vfs init (for FUSA) to plug.

2005-09-18  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.ac: Added "it" (Italian) to ALL_LINGUAS.

2005-09-15  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Use AC_DEFINE_UNQUOTED instead of
	custom AC_DEFINE_PATH to define gdm config file
	location.  This should fix problems where some
	people are seeing $ prefixed to the path.

2005-09-14  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Don't require xscreensaver directories specified
	to be present at compile time.  Fixes #316143.

2005-09-12  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.13 ====

2005-09-12  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.13 release.

2005-09-12  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (spawn_on_window): 
	Set XAUTHLOCALHOSTNAME for dialog plug process.
	Don't try to set environment variables in child
	that aren't set in the parent.  Fixes #315861.

2005-09-12  Rodrigo Moya <rodrigo@novell.com>

	* configure.ac: check for 64bit library location.

2005-09-09  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c: 
	* configure.ac: If configured to look for
	xscreensaver config files then also look for
	xscreensaver hacks too.

	Patch from Catmur <ed@catmur.co.uk>
	Fixes #315584

2005-09-09  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (load_themes): Skip files in theme config
	dirs that don't end with .xml.

	Patch from Ed Catmur <ed@catmur.co.uk>
	Fixes #315592

2005-09-07  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.12 ====

2005-09-07  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.12 release.

2005-09-07  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (gs_job_finalize): Only destroy hash
	if not NULL.  Fixes #315422.
	(gs_job_set_theme, gs_job_start): Don't warn on NULL themes
	since they are interpreted as no-op jobs.

2005-09-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.[ch] (gs_watcher_class_init, maybe_send_signal): 
	Use a boolean return value for idle signal to check
	if the signal was handled.
	
	* src/gs-monitor.c (watcher_idle_cb): Use new boolean
	watcher idle signal.

	* src/gs-listener-dbus.[ch] (gs_listener_set_idle):
	Make function return false if idle can't be set
	because it is inhibited.

2005-09-05  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.11 ====

2005-09-05  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.11 release.

2005-09-03  Rodrigo Moya <rodrigo@novell.com>

	* src/gnome-screensaver-preferences.c (config_get_theme,
	config_set_theme, preview_set_theme, compare_theme): support 'random'
	screensaver.
	(populate_model): add random screensaver to the list.

2005-09-02  William Jon McCann  <mccann@jhu.edu>

	* savers/popsquares.c (get_window):
	Clear screen at the start.

2005-09-02  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (prefs_changed_cb): 
	* src/gs-prefs.c (key_changed_cb):
	Support changing the cycle timeout value.

2005-09-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (populate_model): Create
	fusa-manager only right before it is required.
	(setup_treeview_idle, gs_lock_plug_init):
	Create and populate user list in an idle so
	that it doesn't delay startup.

2005-09-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_show, populate_model) 
	(gs_lock_plug_init): Added more timing points.

2005-09-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: 
	* src/gnome-screensaver-dialog.c:
	Added a very basic timing/profiling framework.

2005-08-31  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (set_status_text, gs_lock_plug_response) 
	(monitor_progress, password_check_idle_cb, set_progress_position):
	Abstract the usage of the progress bar in case we
	want to replace it or remove it.

2005-08-31  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_init):
	Add a bit more padding between labels.

2005-08-31  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (user_displays_changed_cb):
	Remove spurious g_message.

2005-08-31  William Jon McCann  <mccann@jhu.edu>

	* configure.ac (GTK_REQUIRED_VERSION): Bump
	gtk requirement to 2.7.0.

2005-08-31  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_init, label_set_bold) 
	(label_set_big): Add system name to lock dialog.  Fixes #309140.
	Also pull out label formatting into separate functions.

2005-08-31  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.10 ====

2005-08-31  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.10 release.

2005-08-29  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c: Put label
	column first so that typeahead find works by default.

2005-08-29  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (preview_set_theme):
	Don't set sensitivity for keys that aren't writable.  Make
	locking checkbox insensitive when screensaver is disabled.

	Based on patch from <dennis_cranston@yahoo.com>
	Fixes #314629.

2005-08-26  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Add --with-xscreensaverdir argument to specify
	location of XScreensaver hack configuration files.

	* src/gs-job.c (gs_job_init): If an xscreensaver dir is specified,
	append the directory to the list of theme paths.

	Patch from Rodrigo Moya <rodrigo@novell.com>

2005-08-26  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: Added "fr" (French) to ALL_LINGUAS

2005-08-26  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.[ch] (gs_job_append_theme_path): Add new
	function.

2005-08-26  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (maybe_send_signal, idle_timer):
	Don't check the pointer position when doing an
	emergency locking.  Fixes #314530.

2005-08-26  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade:
	Add mnemonic to checkbox label.  Use 6px spacing
	for vbox.

	Patch from <dennis_cranston@yahoo.com>.
	Fixes #314518.

2005-08-26  Rodrigo Moya <rodrigo@novell.com>

	* data/gnome-screensaver-preferences.glade: fixed alignment of
	'Activate after' label. Added checkbox to the dialog.

	* src/gnome-screensaver-preferences.c (config_get_lock,
	config_set_lock): new functions to get/set the lock key.
	(init_capplet): added a checkbox to allow user to enable/disable
	locking when running the screensaver.
	(lock_checkbox_toggled): callback for the checkbox.

2005-08-25  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_class_init): Set
	lock-enabled param to FALSE initially.

	* src/gs-prefs.c (key_changed_cb): Allow enabling and disabling
	the lock policy.

	* src/gs-monitor.c (listener_lock_cb, prefs_changed_cb) 
	(gs_monitor_init): Allow enabling and disabling the
	lock policy.

	* src/gs-manager.c (gs_manager_set_lock_active) 
	(gs_manager_set_lock_enabled, activate_lock_timeout) 
	(gs_manager_set_lock_timeout, gs_manager_class_init) 
	(window_show_cb, gs_manager_create_window, gs_manager_new) 
	(gs_manager_unblank): Make a clear distinction between
	the policy (lock_enabled) and the state (lock_active).

2005-08-24  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.9 ====

2005-08-24  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.9 release.

2005-08-15  Rodrigo Moya <rodrigo@novell.com>

	* data/images/cosmos/Makefile.am: EXTRA_DIST all pictures, so that
	they are included in the tarball.

2005-08-10  Alexander Shopov  <ash@contact.bg>

	* configure.in: Added "bg" (Bulgarian) to ALL_LINGUAS

2005-08-04  William Jon McCann  <mccann@jhu.edu>

	* data/images/cosmos/whirlpool.jpg:
	* data/images/cosmos/cloud.jpg:
	* data/images/cosmos/comet.jpg:
	* data/images/cosmos/earth-horizon.jpg:
	* data/images/cosmos/earthrise.jpg:
	* data/images/cosmos/galaxy-ngc3370.jpg:
	* data/images/cosmos/helix-nebula.jpg:
	* data/images/cosmos/jupiter.jpg:
	* data/images/cosmos/sombrero.jpg: Make binary.

2005-08-04  William Jon McCann  <mccann@jhu.edu>

	* data/images/cosmos/whirlpool.jpg: Added.

2005-08-04  William Jon McCann  <mccann@jhu.edu>

	* data/images/cosmos/cloud.jpg:
	* data/images/cosmos/comet.jpg:
	* data/images/cosmos/earth-horizon.jpg:
	* data/images/cosmos/earthrise.jpg:
	* data/images/cosmos/galaxy-ngc3370.jpg:
	* data/images/cosmos/helix-nebula.jpg:
	* data/images/cosmos/jupiter.jpg:
	* data/images/cosmos/sombrero.jpg: Added images.

2005-08-04  Rodrigo Moya <rodrigo@novell.com>

	* data/images/cosmos/Makefile.am: s/@SLIDESHOW_COSMOS_DIR@/$(SLIDESHOW_COSMOS_DIR).

2005-08-03  William Jon McCann  <mccann@jhu.edu>

	* data/images/cosmos/Makefile.am:
	* data/images/Makefile.am:
	* data/Makefile.am (SUBDIRS): Added place to put
	cosmos images.  Empty for now.

	* savers/cosmos-slideshow.xml.in:
	* savers/Makefile.am (themes_DATA): 
	* configure.ac (SLIDESHOW_COSMOS_DIR):
	Added new cosmos theme.

2005-08-03  William Jon McCann  <mccann@jhu.edu>

	* savers/slideshow.xml: Removed.

	* savers/personal-slideshow.xml: New theme file that loads
	images from ~/Pictures.

	* savers/slideshow.c (add_files_to_list): Add a warning
	if the directory can't be opened.
	(get_pixbuf_from_location): Load relative directory
	paths too and assume they are relative to the home
	directory.
	(main): Change directory to the user's home.

2005-08-03  William Jon McCann  <mccann@jhu.edu>

	* savers/slideshow.c (scale_pixbuf): Scale up images to fill the
	screen.

2005-08-02  Maxim Dziumanenko <mvd@mylinux.ua>

	* configure.ac: Added "uk" to ALL_LINGUAS.

2005-08-02  Stanislav Brabec <sbrabec@suse.cz>

	* src/Makefile.am: added saverdir and themesdir variables to be
	able to specify them as make argument.

2005-08-02  Rodrigo Moya <rodrigo@novell.com>

	* savers/Makefile.am: pass DATADIR in INCLUDES.

	* savers/slideshow.c: use backgrounds directory as default to always
	get at least a few pictures to use in the slideshow.

2005-08-01  William Jon McCann  <mccann@jhu.edu>

	* savers/slideshow.c (start_new_load, start_fade, finish_fade) 
	(update_display, process_new_pixbuf, screenhack_init):
	Start loading new image only after fade is complete.
	Reduce the number of step in the fade.

2005-08-01  William Jon McCann  <mccann@jhu.edu>

	* savers/slideshow.c (update_display): Fade out areas
	not covered by new image.

2005-07-29  William Jon McCann  <mccann@jhu.edu>

	* src/gs-prefs.c (gs_prefs_load_from_gconf):
	Use more reasonable defaults when schemas aren't loaded.

	* savers/Makefile.am: 
	* configure.ac:
	* savers/slideshow.c: 
	* savers/slideshow.xml: Add a slideshow engine.  This
	is really very basic at the moment.  At this stage is
	is mostly an image loading framework.  We should make
	this work with glitz or something.

2005-07-26  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (get_user_display_name, gs_lock_plug_init):
	Display user name if real name is unknown.  Based on patch
	from Rodrigo Moya <rodrigo@novell.com>

2005-07-25  Tommi Vainikainen  <thv@iki.fi>

	* configure.ac (ALL_LINGUAS): Added "fi" (Finnish).

2005-07-25  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.8 ====

2005-07-25  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.8 release.

2005-07-19  William Jon McCann  <mccann@jhu.edu>

	* README: Remove experimental warning.

	* TODO: Remove user list item.

	* src/gnome-screensaver.c: 
	* src/gnome-screensaver-dialog.c: 
	* src/gs-monitor.c: Fix copyright statements.

2005-07-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (watcher_idle_cb):  Decouple the
	idle watcher from the screensaver activation by only
	setting an idle flag.  Setting this flag triggers
	an activation only when all the inhibitors are removed.

	* src/gs-listener-dbus.[ch] (listener_check_activation) 
	(gs_listener_set_active, gs_listener_set_idle) 
	(listener_property_set_bool, raise_error, raise_syntax) 
	(listener_add_inhibitor, listener_remove_inhibitor) 
	(listener_service_deleted, raise_property_type_error) 
	(listener_get_property, listener_dbus_filter_handle_methods) 
	(gs_listener_message_handler, listener_dbus_filter_function) 
	(gs_listener_set_property, gs_listener_get_property) 
	(gs_listener_acquire, gs_listener_finalize):
	Add the concept of activation inhibitors.  An application
	on the bus can request to block the timed activation of the
	screensaver.  The implementation is essentially copied
	from HAL's device locking.  When the remote application
	is removed from the bus the inhibition is removed.

2005-07-15  Abel Cheung  <maddog@linuxhall.org>

	* configure.ac: Added "zh_TW" to ALL_LINGUAS.

2005-07-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (populate_model):
	Re-enable pixbufs with the hope that 310418 gets fixed.

2005-07-14  William Jon McCann  <mccann@jhu.edu>

	* src/cut-n-paste/fusa-manager.c (render_icon_from_home):
	Check that parent of home dir is local too.  This
	avoids a stat on autofs home dirs triggering a mount.
	Requires a fix for:
	http://bugzilla.gnome.org/show_bug.cgi?id=310418

2005-07-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_style_set):
	Set vbox spacing to 12 instead of 24.
	(populate_model): Don't put a new login item
	in the list for now.  There isn't enough space.

2005-07-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (user_displays_changed_cb):
	Get the real store from the filter.
	(populate_model): Don't load the face icon
	synchronously before realization since this doesn't
	scale to large systems.

2005-07-14  William Jon McCann  <mccann@jhu.edu>

	* src/cut-n-paste/fusa-manager.c (render_icon_from_home) 
	(_fusa_manager_render_icon): Don't try to read face
	file from remote home directories.  Trying to mount
	the NFS home for every user on large systems just doesn't
	work.

2005-07-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c: Put face size back to 24px.

2005-07-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_init): Put user list
	in a scrolled window.

2005-07-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (filter_out_users, setup_treeview):
	Add ability to filter out users.  Could be used to only
	show users already logged in.

2005-07-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (get_ok_button_for_page) 
	(get_switch_button_for_page, gs_lock_plug_init):
	Use stock_people icon instead of GTK_STOCK_REFRESH.

2005-07-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_init): Increase dialog
	timeout to 60 secs.

2005-07-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (do_user_switch, switch_user_response) 
	(gs_lock_plug_response, get_ok_button_for_page) 
	(get_switch_button_for_page, user_displays_changed_cb) 
	(populate_model, compare_users, separator_func, setup_treeview) 
	(gs_lock_plug_init, gs_lock_plug_finalize):
	Integrate fast-user-switching directly into the unlock dialog.

2005-07-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (restart_monitor_progress) 
	(gs_lock_plug_show, entry_key_press): Restart the timer
	after each keypress.  This helps slow typists.

2005-07-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (gs_job_finalize): Destroy the hash table.
	(getnodeset, get_first_xpath_prop): Fix leaks.

	* src/gs-manager.c (window_show_cb): Don't do an extra ref.

	* src/gs-job.c (spawn_on_widget): 
	* src/gs-window-x11.c (spawn_on_window): Fix leaks.

2005-07-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (spawn_on_widget): Add XAUTHORITY
	to child environment.  Use gdk_screen_make_display_name
	for DISPLAY variable.

2005-07-11  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (spawn_on_window): Add XAUTHORITY
	to child environment.  Use gdk_screen_make_display_name
	for DISPLAY variable.

2005-07-09  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.7 ====

2005-07-08  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.7 release.

	* data/Makefile.am: Fix dist for desktop files.

2005-07-08  William Jon McCann  <mccann@jhu.edu>

	* src/.cvsignore: Add test-passwd.

2005-07-08  William Jon McCann  <mccann@jhu.edu>

	* configure.ac (GDMCONFIGFILE): Check SuSE gdm.conf location.

2005-07-08  William Jon McCann  <mccann@jhu.edu>

	* data/Makefile.am (install-data-hook):
	Added note that PAM file must be updated for SuSE/Novell.

2005-07-08  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver: Also include SuSE/Novell
	example PAM configuration.

2005-07-08  William Jon McCann  <mccann@jhu.edu>

	* src/passwd-helper.c: Include subprocs.h.

2005-07-08  William Jon McCann  <mccann@jhu.edu>

	* src/Makefile.am: 
	* src/test-passwd.c: New file to test authentication.

2005-07-07  William Jon McCann  <mccann@jhu.edu>

	* configure.ac (enable_user_switching): Don't require
	the gdm.conf file to exist at build time.  Fixes #309730.

2005-07-06  William Jon McCann  <mccann@jhu.edu>

	* Makefile.am: 
	* configure.ac: Actually ship the translations.

	Patch from Sebastien Bacher <seb128@debian.org>.
	Fixes #309658.

2005-07-06  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver.schemas.in: Use int types.

	Patch from Sebastien Bacher <seb128@debian.org>.
	Fixes #309656.

2005-07-06  William Jon McCann  <mccann@jhu.edu>

	* savers/popsquares.c (screenhack_init):
	Don't use nsquares before initializing.  Fixes #309655.

2005-07-06  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c (gs_listener_set_active):
	Reset the throttle state after deactivation.

2005-07-06  William Jon McCann  <mccann@jhu.edu>

	* configure.ac (have_pam): Initialize have_pam to "no".

2005-07-03  Takeshi AIHANA <aihana@gnome.gr.jp

	* configure.ac: Added 'ja' (Japanese) to ALL_LINGUAS.

2005-07-01  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.6 ====

2005-07-01  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for 0.0.6 release.

2005-06-30  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (update_geometry): New function to keep
	track of the window geometry.
	(screen_size_changed): New function to handle screen size changes.
	(gs_window_move_resize_window): New function to nicely handle
	window moving and resizing.
	(gs_window_real_realize): Queue a window resize and connect to the
	screen-size-changed signal.
	(gs_window_set_monitor): New function to set the monitor the window
	should appear on.
	(gs_window_get_monitor): New function to get the monitor the window
	appears on.
	(gs_window_set_property, gs_window_get_property): Add monitor.
	(gs_window_real_size_request): Handle window size requests to
	make the window fill the monitor.
	(gs_window_class_init): Implement size-request handler and add
	monitor property.
	(gs_window_init): Initialize window geometry.  Don't make the
	window modal.  Don't make the window stick.  Don't take focus
	on map.  Don't set the window position to CENTER_ALWAYS.
	(gs_window_new): Set monitor value.

	* src/gs-manager.c (window_dialog_up_cb): Transfer grabs to window
	where dialog goes up so the password can be typed in.  Make all
	other windows insensitive so events won't be triggered while
	dialog is up.
	(window_dialog_down_cb): Make all windows sensitive when dialog
	goes down.
	(window_map_event_cb): Only transfer grabs to window on monitor
	with the pointer.
	(gs_manager_create_window): Create a separate window for each
	monitor of the screen instead of spanning the entire virtual
	desktop with one screensaver window.

	This patch adds multihead/xinerama support.

2005-06-30  William Jon McCann  <mccann@jhu.edu>

	* src/file-transfer-dialog.c: Don't include gnome.h
	(file_transfer_dialog_update_num_files) 
	(file_transfer_dialog_set_prop, eel_gtk_label_make_bold) 
	(create_titled_label, file_transfer_dialog_init) 
	(file_transfer_dialog_update_cb):
	HIG updates and make consistent with nautilus transfer
	progress dialog.

2005-06-27  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (select_theme): In the odd case the the
	screensaver is activated when it is disabled don't use a
	theme.
	(window_show_cb): Set theme after prepending to search path.

	* src/gs-job.c (gs_job_set_theme): Add warning messages.
	(gs_job_new_for_widget): Don't set theme here.
	(spawn_on_widget): Use g_warning instead of g_message.
	(gs_job_start): Add warning messages.

2005-06-27  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c: Add /usr/libexec to known hack locations.

2005-06-27  Dennis Cranston <dennis_cranston@yahoo.com>

	* data/gnome-screensaver-preferences.glade: Fix small HIG widget
	spacing regression.
	
2005-06-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (prefs_changed_cb): Update the idle watcher
	state when configuration changes.

2005-06-23  William Jon McCann  <mccann@jhu.edu>

	* savers/popsquares.c (screenhack_init, screenhack_iter):
	Don't crash when window size is zero.  Remove unnecessary division.

2005-06-23  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (time_to_string_text): Don't
	display hanging zeros in time string.
	(format_value_callback_time, init_capplet): Format the activation
	time string more nicely.

	* data/gnome-screensaver-preferences.glade: Display activation time
	text on top of slider and remove hard-coded units.

2005-06-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.[ch] (gs_window_clear): Add to public API.

	* src/gs-manager.c (gs_manager_set_throttle_enabled): Clear
	the window when the screensaver is throttled.

2005-06-22  William Jon McCann  <mccann@jhu.edu>

	* data/Makefile.am (install-data-hook): Wrap text better.

	* configure.ac: Fix typo from last commit.

2005-06-22  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Clean up checks and summary text.

2005-06-22  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Up dbus dependency to 0.30.

2005-06-21  William Jon McCann  <mccann@jhu.edu>

	* TODO: Remove done dnd item. 

2005-06-20  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_init)
	(gs_lock_plug_response, password_check_idle_cb): Use more human
	text.

	* data/gnome-screensaver.schemas.in: Fix typo.

2005-06-20  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-dialog.c: Remove dbus includes.

2005-06-20  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (gs_manager_init, gs_manager_finalize):
	Remove unused and unneeded gconf client.

2005-06-20  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (manager_blanked_cb, manager_unblanked_cb) 
	(watcher_idle_cb, listener_lock_cb, listener_quit_cb) 
	(listener_active_changed_cb, listener_throttled_changed_cb) 
	(gs_monitor_init, gs_monitor_start): Use listener to hold state.

	* src/gs-listener-dbus.c (gs_listener_send_signal_active_changed) 
	(gs_listener_send_signal_throttle_enabled_changed) 
	(gs_listener_set_active, gs_listener_set_throttle_enabled) 
	(listener_property_set_bool, raise_property_type_error) 
	(listener_set_property, listener_get_property) 
	(gs_listener_message_handler, gs_listener_set_property) 
	(gs_listener_get_property, gs_listener_class_init): Use a property
	based approach for the dbus object interface.  This makes it much
	easier to handle getting values as well as setting them.

	* src/gnome-screensaver-command.c (screensaver_send_message_bool) 
	(screensaver_send_message_void, do_command): Use new dbus object
	methods.

2005-06-17  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (listener_throttle_cb, listener_unthrottle_cb) 
	(gs_monitor_init): 
	* src/gs-manager.c (gs_manager_set_throttle_enabled) 
	(gs_manager_cycle, gs_manager_set_property) 
	(gs_manager_get_property, gs_manager_class_init) 
	(window_dialog_up_cb, window_dialog_down_cb, window_show_cb): 
	* src/gs-listener-dbus.c (gs_listener_message_handler) 
	(gs_listener_class_init): 
	* src/gnome-screensaver-command.c (do_command):
	Add support for throttling the screensaver.  When throttling is
	enabled the screensaver will do its best to use as few resources
	as possible.  At the moment this only involves stopping themes
	from running.

2005-06-16  William Jon McCann  <mccann@jhu.edu>

	* data/Makefile.am (install-data-hook): Wrap text in Solaris
	warning message better.

2005-06-16  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Add HAVE_USER_SWITCHING back.

2005-06-16  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver: Add PAM configuration file
	copied from GDM.

	* src/passwd-pam.c: Update comments for gnome-screensaver.

	* src/passwd-helper.c (ext_run): Use gnome-screensaver as
	helper service name.

	* src/Makefile.am: Use gnome-screensaver as PAM service name.

	* data/Makefile.am (install-data-hook): Install PAM files.

	* configure.ac: Determine PAM conf dir.  Show configuration
	summary.

2005-06-16  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver.c (main): Don't use error if NULL.
	For some reason gtk_init is failing without setting an error
	when unable to open display.

	* src/subprocs.h: Add missing include.

2005-06-16  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Remove Werror.

2005-06-16  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_set_switch_enabled) 
	(gs_lock_plug_set_property, gs_lock_plug_get_property) 
	(gs_lock_plug_class_init): 
	* src/gnome-screensaver-dialog.c (popup_dialog_idle, main):
	Make showing the New Login button a property.

	* configure.ac: Only enable user switching if the system
	has the capability.

2005-06-16  William Jon McCann  <mccann@jhu.edu>

	* src/cut-n-paste/fusa-utils.h: 
	* src/cut-n-paste/fusa-manager.c (fusa_manager_activate_display):
	Sync up with fusa CVS.

2005-06-15  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c: Check if sys/select.h is present.
	* src/gs-monitor.c: Remove unneeded includes.

2005-06-15  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (populate_model) 
	(compare_theme, separator_func, setup_treeview):
	Add a separator between the builtin screensaver modes
	and the rest of the themes.

2005-06-15  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (get_ok_button_for_page) 
	(get_switch_button_for_page, gs_lock_plug_init):
	Use New Login instead of Login Screen.

2005-06-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (monitor_progress): Use ngettext to handle
	plurals.  Fixes #307560.

	Based on patch by Thierry Moisan <thierryn@videotron.ca>

2005-06-13  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (parse_theme): Cast xmlChar* to char* (unsigned to
	signed) to fix building with gcc4.  Fixes #307450.

2005-06-10  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (theme_installer_run) 
	(init_capplet): Remove spurious debug messages.

2005-06-10  William Jon McCann  <mccann@jhu.edu>

	* src/file-transfer-dialog.[ch]: New files copied from
	gnome-control-center.

	* src/gnome-screensaver-preferences.c (reload_themes) 
	(transfer_done_cb, transfer_cancel_cb, theme_installer_run) 
	(drag_motion_cb, drag_leave_cb, drag_data_received_cb) 
	(init_capplet): 
	* src/Makefile.am:
	Add basic support for drag and drop of screensaver themes
	onto the capplet.

2005-06-07  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Post release version bump.

==== 0.0.5 ====
	
2005-06-07  William Jon McCann  <mccann@jhu.edu>

	* NEWS: Update for release

2005-06-07  William Jon McCann  <mccann@jhu.edu>

	* savers/Makefile.am (EXTRA_DIST): Add theme data.
	* data/Makefile.am (EXTRA_DIST): Add glade and desktop data.

2005-06-07  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (preview_set_theme):
	Make activation time slider insensitive when screensaver is
	disabled.

2005-06-06  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: 
	* src/Makefile.am: Add missing DBUS_CFLAGS.

	Patch from Jaap A. Haitsma <jaap@haitsma.org>.
	Fixes #306487.

2005-06-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (load_themes): Only use first theme in search path
	for any given name.

2005-06-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (window_show_cb): 
	* src/gnome-screensaver-preferences.c (init_capplet):
	Look for user themes in g_get_user_data_dir/gnome-screensaver/themes.

2005-06-01  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (gs_manager_cycle): Use GError.

	* src/gs-job.c (gs_job_set_theme_path, gs_job_get_theme_path)
	(gs_job_prepend_theme_path): Add ability to extend the theme
	search path.
	(theme_info_new, gs_job_theme_info_free, gs_job_theme_info_copy):
	Add ThemeInfo API to handle getting information about themes.
	(load_themes, gs_job_theme_rescan_if_needed, ensure_valid_themes) 
	(gs_job_lookup_theme_info, hash2slist_foreach) 
	(g_hash_table_slist_keys, gs_job_get_theme_list, gs_job_init) 
	(gs_job_finalize, check_command, gs_job_set_theme) 
	(gs_job_new_for_widget, spawn_on_widget, gs_job_start):
	Use a hash table to store theme info.

	* src/gnome-screensaver-preferences.c (preview_set_theme): Handle errors.
	(populate_model): Use new ThemeInfo API.

2005-05-21  Frank Arnold  <farnold@cvs.gnome.org>

	* configure.ac: Added German (de) to ALL_LINGUAS.

2005-05-20  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (nice_process): Operate on the specified pid
	instead of current process.

2005-05-20  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (nice_process, spawn_on_widget):
	Set subprocess priority.

2005-05-20  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (gs_monitor_new, gs_monitor_start):
	Split out monitor start.

	* src/gs-listener-dbus.c: Use lowercase name and path.
	(gs_listener_acquire): Set error correctly.

	* src/gnome-screensaver.c (main): Remove dbus stuff and let
	gs-monitor fail if it cannot get the service.

	* src/gnome-screensaver-command.c: Use lowercase name and path.

2005-05-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-listener-dbus.c (gs_listener_acquire):
	Make sure input isn't NULL.

2005-05-18  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (manager_blanked_cb, manager_unblanked_cb): 
	* src/gs-listener-dbus.[ch] (gs_listener_send_signal_activated) 
	(gs_listener_send_signal_deactivated):
	Send Activated or Deactivated signals over dbus.

2005-05-09  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: 
	* src/gnome-screensaver-command.c (screensaver_is_running): 
	* src/gnome-screensaver.c (check_dbus): 
	* src/gs-listener-dbus.c (screensaver_is_running) 
	(gs_listener_acquire):
	Support the both the 0.23 and 0.3 dbus APIs.  Fixes #303288.

	Patch from Diego Gonzalez <diego@pemas.net>.

2005-05-05  William Jon McCann  <mccann@jhu.edu>

	* savers/.cvsignore: Added.

2005-05-05  Dennis Cranston <dennis_cranston@yahoo.com>

	* data/gnome-screensaver-preferences.glade: Adjust widget
	spacing according to HIG.

2005-05-05  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade: Don't use a
	horiz. scrollbar on the themes list.  And don't fill space.

2005-05-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-monitor.c (listener_poke_cb, gs_monitor_init): 
	* src/gs-listener-dbus.c (gs_listener_message_handler) 
	(gs_listener_class_init): 
	* src/gnome-screensaver-command.c (do_command):
	Rename ping to poke to avoid confustion with dbus .Ping.

2005-05-05  William Jon McCann  <mccann@jhu.edu>

	* configure.ac: Remove app-default stuff.

2005-05-05  William Jon McCann  <mccann@jhu.edu>

	* README: Removed GTK bug as known issue since we work around it.

2005-05-05  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (config_set_theme) 
	(preview_set_theme, setup_treeview_selection): Guard against
	calling strcmp with null.

	* src/gs-prefs.c:
	* src/gnome-screensaver-preferences.c:
	* data/gnome-screensaver.schemas.in:
	Rename gconf key to "themes" and add it to schemas.

2005-05-05  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_real_show, spawn_on_window) 
	(is_logout_enabled, popup_dialog_idle) 
	(gs_window_set_logout_enabled, gs_window_set_logout_timeout) 
	(gs_window_set_property, gs_window_get_property) 
	(gs_window_finalize): 
	* src/gs-prefs.c (gs_prefs_load_from_gconf, key_changed_cb): 
	* src/gs-monitor.c (prefs_changed_cb, gs_monitor_init): 
	* src/gs-manager.c (gs_manager_set_logout_enabled) 
	(gs_manager_set_lock_timeout, gs_manager_set_logout_timeout) 
	(gs_manager_set_property, gs_manager_get_property) 
	(gs_manager_class_init, window_show_cb, gs_manager_create_window): 
	* src/gs-lock-plug.c (gs_lock_plug_set_logout_enabled) 
	(gs_lock_plug_set_property, gs_lock_plug_get_property) 
	(gs_lock_plug_class_init, logout_button_clicked) 
	(gs_lock_plug_init): 
	* src/gnome-screensaver-dialog.c (popup_dialog_idle): 
	* src/Makefile.am: 
	* data/gnome-screensaver.schemas.in:
	Add support for showing a logout button after a specified
	amount of time.  This depends on the fix for bug #149447.
	Fixes #301710.

2005-05-04  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (gs_watcher_reset):
	Add a convenience function for resetting the idle
	watcher.

	* src/gs-monitor.c (listener_ping_cb, gs_monitor_init): 
	* src/gs-listener-dbus.c (gs_listener_message_handler) 
	(gs_listener_class_init): 
	* src/gnome-screensaver-command.c (do_command):
	Add ping dbus method that can be used to simulate user
	activity or as a safe way to probe if the screensaver is
	running.

2005-05-01  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* configure.ac: Added Spanish (es) to ALL_LINGUAS.

2005-04-29  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade:
	Now even simpler.

2005-04-29  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade: 
	* src/gnome-screensaver-preferences.c (config_get_blank_delay) 
	(config_get_theme, setup_treeview_selection, init_capplet):
	Support unwritable gconf keys in the interface.

2005-04-26  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (compare_theme) 
	(setup_treeview): Sort the theme list.

2005-04-26  William Jon McCann  <mccann@jhu.edu>

	* src/gs-prefs.c (gs_prefs_load_from_gconf, key_changed_cb) 
	(gs_prefs_init, gs_prefs_finalize): 
	* src/gs-monitor.c (prefs_changed_cb, gs_monitor_init):
	More renaming savers to themes.

2005-04-26  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (gs_manager_set_themes, select_theme) 
	(gs_manager_cycle, window_show_cb): 
	* src/gs-job.c (getnodeset, get_first_xpath_prop) 
	(get_xml_config_string, gs_job_theme_parse, gs_job_finalize) 
	(gs_job_set_command, gs_job_set_theme, gs_job_new_for_widget) 
	(spawn_on_widget, gs_job_start): 
	* src/gnome-screensaver-preferences.c (config_get_theme) 
	(config_set_theme, preview_set_theme, get_themes_dir) 
	(theme_entry_free, get_theme_list, populate_model) 
	(tree_selection_changed_cb, setup_treeview) 
	(setup_treeview_selection): 
	* src/Makefile.am: 
	* savers/Makefile.am: 
	* configure.ac:
	Add support for XML theme configuration.  Only support configuration
	via theme names.  The mapping to a command is done by the XML config.

2005-04-26  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (gs_watcher_set_dpms): 
	* src/gs-prefs.c (gs_prefs_load_from_gconf, key_changed_cb): 
	* src/gs-monitor.c (prefs_changed_cb, gs_monitor_init):
	Enable DPMS support.

2005-04-25  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (gs_manager_cycle, cycle_timeout) 
	(gs_manager_set_cycle_delay): Don't cycle the theme
	while the lock dialog is up.

2005-04-25  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (spawn_on_window, wait_on_child) 
	(gs_window_dialog_finish, command_watch):
	Don't leak pipe fds.  Be more correct about handling pids.

	* src/gs-job.c (spawn_on_widget): Uncomment channel unref.

2005-04-25  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (wait_on_child, gs_job_died, gs_job_finalize) 
	(spawn_on_widget, command_watch, gs_job_stop):
	Don't leak pipe fds.  Be more correct about handling pids.

2005-04-23  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (init_capplet):
	Use screensaver icon here too.

2005-04-23  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.desktop.in:
	Use screensaver icon.  Fix comment.

	Patch from Jaap A. Haitsma <jaap@haitsma.org>.
	Fixes #301709

2005-04-23  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (button_get_label_widget) 
	(button_mnemonic_activate_click, switch_page, gs_lock_plug_init):
	Allow mnemonic activation with keyboard grabbed.
	Work around bug 172998.

2005-04-22  William Jon McCann  <mccann@jhu.edu>

	* savers/popsquares.c (screenhack_init, screenhack_iter) 
	(screenhack_destroy, new_window, get_window, do_restart) 
	(do_configure_event, do_event, main):
	Add support for configuration events.

2005-04-22  William Jon McCann  <mccann@jhu.edu>

	* savers/popsquares.c (screenhack_init, screenhack_iter) 
	(screenhack_destroy): Make functions static for now.

2005-04-22  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-screensaver-preferences.glade:
	Use vbox/hbox instead of frame.

2005-04-22  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (saver_entry_free) 
	(get_saver_list, populate_model):
	Construct saver list more dynamically.

2005-04-22  William Jon McCann  <mccann@jhu.edu>

	* savers/Makefile.am: 
	* savers/popsquares.c: 
	* src/gs-job.c: 
	* src/Makefile.am: 
	* configure.ac: 
	* Makefile.am:
	Add gdk port of popsquares saver that uses the
	desktop theme and doesn't support configuration.

2005-04-20  William Jon McCann  <mccann@jhu.edu>

	* src/gs-window-x11.c (gs_window_override_user_time) 
	(gs_window_real_realize):
	Try to work around focus stealing prevention.

2005-04-20  William Jon McCann  <mccann@jhu.edu>

	* README: Added bugzilla info, etc.

2005-04-20  William Jon McCann  <mccann@jhu.edu>

	* src/gs-watcher-x11.c (gs_watcher_set_timeout): 
	* src/gs-prefs.c (key_changed_cb): 
	* src/gs-monitor.c (prefs_changed_cb):
	Make daemon respond to blank delay gconf changes.

2005-04-20  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (init_capplet): 
	* data/gnome-screensaver-preferences.glade:
	Make keyboard mnemonic activation work.

2005-04-20  William Jon McCann  <mccann@jhu.edu>

	* src/gnome-screensaver-preferences.c (config_get_blank_delay) 
	(config_set_blank_delay, blank_delay_value_changed_cb) 
	(init_capplet): Add support for the blank delay.

	* data/gnome-screensaver-preferences.glade: Set default size.

2005-04-19  Gareth Owen  <gowen72@yahoo.com>

	* configure.ac: Added en_GB to ALL_LINGUAS

2005-04-19  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (gs_job_set_command):
	Handle NULL commands.

2005-04-19  William Jon McCann  <mccann@jhu.edu>

	* src/gs-job.c (gs_job_finalize):
	Only signal if pid > 0.

2005-04-19  William Jon McCann  <mccann@jhu.edu>

	* .cvsignore: Updated.
	
	* src/gs-prefs.c (key_changed_cb, gs_prefs_init) 
	(gs_prefs_finalize): 
	* src/gs-monitor.c (prefs_changed_cb, gs_monitor_init):
	Enable monitoring of gconf settings.

	* src/gs-manager.c (window_show_cb): 
	* src/gs-job.c (widget_get_id_string, gs_job_set_widget) 
	(find_command, gs_job_set_command, gs_job_new) 
	(gs_job_new_for_widget, spawn_on_widget, gs_job_start):
	Change jobs to run on a widget instead of GSWindow in
	order to support capplet.  Interpret gconf saver value
	as a full path for security.

	* src/gnome-screensaver-preferences.c: 
	* src/Makefile.am: 
	* data/gnome-screensaver-preferences.glade: 
	* data/gnome-screensaver-preferences.desktop.in: 
	* data/Makefile.am: 
	* configure.ac:
	Add screensaver preferences capplet.

2005-04-15  William Jon McCann  <mccann@jhu.edu>

	* src/gs-manager.c (window_show_cb, window_map_event_cb) 
	(gs_manager_create_window, gs_manager_create, gs_manager_blank):
	Set up windows and jobs only after showing and lock only
	after map-event.

	* src/gs-manager.c (select_saver, gs_manager_cycle): 
	* src/gs-job.c (gs_job_set_command, gs_job_new_for_window) 
	(spawn_on_window):
	Use const where appropriate.

2005-04-15  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_init):
	Don't indent the password entry.  Use a
	smaller font for the progress text so that
	it isn't too distracting.

2005-04-15  William Jon McCann  <mccann@jhu.edu>

	* src/gs-lock-plug.c (gs_lock_plug_init):
	Use label instead of entry for username.

	* configure.ac: Use variable for dbus version.

2005-04-15  Adam Weinberger  <adamw@gnome.org>

	* configure.ac: Added en_CA to ALL_LINGUAS.

2005-04-15  Raphael Higino  <raphaelh@cvs.gnome.org>

	* configure.ac: Added pt_BR to ALL_LINGUAS.

2005-04-15  Funda Wang  <fundawang@linux.net.cn>

	* configure.ac: Added "zh_CN" to ALL_LINGUAS.

2005-04-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-grab-x11.c (gs_grab_move_mouse):
	Don't regrab pointer here.

2005-04-14  William Jon McCann  <mccann@jhu.edu>

	* src/gs-grab-x11.c (gs_grab_get_mouse) 
	(gs_grab_get_keyboard_and_mouse):
	Grab and release pointer initially.

2005-04-14  Christian Rose  <menthos@menthos.com>

	* configure.ac: Added "sv" to ALL_LINGUAS.

